#pragma once

#include <array>
#include <span>
#include <string_view>

namespace faker::location
{
struct CountryAddressesInfo
{
    std::string_view zipCodeFormat;
    std::span<const std::string_view> addressFormats;
    std::span<const std::string_view> secondaryAddressFormats;
    std::span<const std::string_view> streetFormats;
    std::span<const std::string_view> streetPrefixes;
    std::span<const std::string_view> streetNames;
    std::span<const std::string_view> streetSuffixes;
    std::span<const std::string_view> buildingNumberFormats;
    std::span<const std::string_view> cityFormats;
    std::span<const std::string_view> cityPrefixes;
    std::span<const std::string_view> cities;
    std::span<const std::string_view> citySuffixes;
    std::span<const std::string_view> states;
};

const auto allCountries = std::to_array<std::string_view>({
    // clang-format off
    "Afghanistan",
    "Aland Islands",
    "Albania",
    "Algeria",
    "American Samoa",
    "Andorra",
    "Angola",
    "Anguilla",
    "Antarctica",
    "Antigua and Barbuda",
    "Argentina",
    "Armenia",
    "Aruba",
    "Australia",
    "Austria",
    "Azerbaijan",
    "Bahamas",
    "Bahrain",
    "Bangladesh",
    "Barbados",
    "Belarus",
    "Belgium",
    "Belize",
    "Benin",
    "Bermuda",
    "Bhutan",
    "Bolivia",
    "Bonaire Sint Eustatius and Saba",
    "Bosnia and Herzegovina",
    "Botswana",
    "Bouvet Island",
    "Brazil",
    "British Indian Ocean Territory (Chagos Archipelago)",
    "Brunei Darussalam",
    "Bulgaria",
    "Burkina Faso",
    "Burundi",
    "Cambodia"
    // clang-format on,
    "Cameroon",
    "Canada",
    "Cape Verde",
    "Cayman Islands",
    "Central African Republic",
    "Chad",
    "Chile",
    "China",
    "Christmas Island",
    "Cocos (Keeling) Islands",
    "Colombia",
    "Comoros",
    "Congo",
    "Cook Islands",
    "Costa Rica",
    "Croatia",
    "Cuba",
    "Curacao",
    "Cyprus",
    "Czechia",
    "Democratic Republic of the Congo",
    "Denmark",
    "Djibouti",
    "Dominica",
    "Dominican Republic",
    "Ecuador",
    "Egypt",
    "El Salvador",
    "Equatorial Guinea",
    "Eritrea",
    "Estonia",
    "Eswatini",
    "Ethiopia",
    "Falkland Islands (Malvinas)",
    "Faroe Islands",
    "Fiji",
    "Finland",
    "France",
    "French Guiana",
    "French Polynesia",
    "French Southern Territories",
    "Gabon",
    "Gambia",
    "Georgia",
    "Germany",
    "Ghana",
    "Gibraltar",
    "Greece",
    "Greenland",
    "Grenada",
    "Guadeloupe",
    "Guam",
    "Guatemala",
    "Guernsey",
    "Guinea",
    "Guinea-Bissau",
    "Guyana",
    "Haiti",
    "Heard Island and McDonald Islands",
    "Holy See (Vatican City State)",
    "Honduras",
    "Hong Kong",
    "Hungary",
    "Iceland",
    "India",
    "Indonesia",
    "Iran",
    "Iraq",
    "Ireland",
    "Isle of Man",
    "Israel",
    "Italy",
    "Jamaica",
    "Japan",
    "Jersey",
    "Jordan",
    "Kazakhstan",
    "Kenya",
    "Kiribati",
    "Kuwait",
    "Kyrgyz Republic",
    "Latvia",
    "Lebanon",
    "Lesotho",
    "Liberia",
    "Libyan Arab Jamahiriya",
    "Liechtenstein",
    "Lithuania",
    "Luxembourg",
    "Macao",
    "Madagascar",
    "Malawi",
    "Malaysia",
    "Maldives",
    "Mali",
    "Malta",
    "Marshall Islands",
    "Martinique",
    "Mauritania",
    "Mauritius",
    "Mayotte",
    "Mexico",
    "Micronesia",
    "Moldova",
    "Monaco",
    "Mongolia",
    "Montenegro",
    "Montserrat",
    "Morocco",
    "Mozambique",
    "Myanmar",
    "Namibia",
    "Nauru",
    "Nepal",
    "Netherlands",
    "New Caledonia",
    "New Zealand",
    "Nicaragua",
    "Niger",
    "Nigeria",
    "Niue",
    "Norfolk Island",
    "North Macedonia",
    "Northern Mariana Islands",
    "Norway",
    "Oman",
    "Pakistan",
    "Palau",
    "Palestine",
    "Panama",
    "Papua New Guinea",
    "Paraguay",
    "Peru",
    "Philippines",
    "Pitcairn Islands",
    "Poland",
    "Portugal",
    "Puerto Rico",
    "Qatar",
    "Republic of Korea",
    "Reunion",
    "Romania",
    "Russian Federation",
    "Rwanda",
    "Saint Barthelemy",
    "Saint Helena",
    "Saint Kitts and Nevis",
    "Saint Lucia",
    "Saint Martin",
    "Saint Pierre and Miquelon",
    "Saint Vincent and the Grenadines",
    "Samoa",
    "San Marino",
    "Sao Tome and Principe",
    "Saudi Arabia",
    "Senegal",
    "Serbia",
    "Seychelles",
    "Sierra Leone",
    "Singapore",
    "Sint Maarten",
    "Slovakia",
    "Slovenia",
    "Solomon Islands",
    "Somalia",
    "South Africa",
    "South Georgia and the South Sandwich Islands",
    "South Sudan",
    "Spain",
    "Sri Lanka",
    "Sudan",
    "Suriname",
    "Svalbard & Jan Mayen Islands",
    "Sweden",
    "Switzerland",
    "Syrian Arab Republic",
    "Taiwan",
    "Tajikistan",
    "Tanzania",
    "Thailand",
    "Timor-Leste",
    "Togo",
    "Tokelau",
    "Tonga",
    "Trinidad and Tobago",
    "Tunisia",
    "Turkey",
    "Turkmenistan",
    "Turks and Caicos Islands",
    "Tuvalu",
    "Uganda",
    "Ukraine",
    "United Arab Emirates",
    "United Kingdom",
    "United States Minor Outlying Islands",
    "United States of America",
    "Uruguay",
    "Uzbekistan",
    "Vanuatu",
    "Venezuela",
    "Vietnam",
    "Virgin Islands British",
    "Virgin Islands U.S.",
    "Wallis and Futuna",
    "Western Sahara",
    "Yemen",
    "Zambia",
    "Zimbabwe",
});

const auto countryCodes = std::to_array<std::string_view>({
    "AD",
    "AE",
    "AF",
    "AG",
    "AI",
    "AL",
    "AM",
    "AO",
    "AQ",
    "AR",
    "AS",
    "AT",
    "AU",
    "AW",
    "AX",
    "AZ",
    "BA",
    "BB",
    "BD",
    "BE",
    "BF",
    "BG",
    "BH",
    "BI",
    "BJ",
    "BL",
    "BM",
    "BN",
    "BO",
    "BQ",
    "BR",
    "BS",
    "BT",
    "BV",
    "BW",
    "BY",
    "BZ",
    "CA",
    "CC",
    "CD",
    "CF",
    "CG",
    "CH",
    "CI",
    "CK",
    "CL",
    "CM",
    "CN",
    "CO",
    "CR",
    "CU",
    "CV",
    "CW",
    "CX",
    "CY",
    "CZ",
    "DE",
    "DJ",
    "DK",
    "DM",
    "DO",
    "DZ",
    "EC",
    "EE",
    "EG",
    "EH",
    "ER",
    "ES",
    "ET",
    "FI",
    "FJ",
    "FK",
    "FM",
    "FO",
    "FR",
    "GA",
    "GB",
    "GD",
    "GE",
    "GF",
    "GG",
    "GH",
    "GI",
    "GL",
    "GM",
    "GN",
    "GP",
    "GQ",
    "GR",
    "GS",
    "GT",
    "GU",
    "GW",
    "GY",
    "HK",
    "HM",
    "HN",
    "HR",
    "HT",
    "HU",
    "ID",
    "IE",
    "IL",
    "IM",
    "IN",
    "IO",
    "IQ",
    "IR",
    "IS",
    "IT",
    "JE",
    "JM",
    "JO",
    "JP",
    "KE",
    "KG",
    "KH",
    "KI",
    "KM",
    "KN",
    "KP",
    "KR",
    "KW",
    "KY",
    "KZ",
    "LA",
    "LB",
    "LC",
    "LI",
    "LK",
    "LR",
    "LS",
    "LT",
    "LU",
    "LV",
    "LY",
    "MA",
    "MC",
    "MD",
    "ME",
    "MF",
    "MG",
    "MH",
    "MK",
    "ML",
    "MM",
    "MN",
    "MO",
    "MP",
    "MQ",
    "MR",
    "MS",
    "MT",
    "MU",
    "MV",
    "MW",
    "MX",
    "MY",
    "MZ",
    "NA",
    "NC",
    "NE",
    "NF",
    "NG",
    "NI",
    "NL",
    "NO",
    "NP",
    "NR",
    "NU",
    "NZ",
    "OM",
    "PA",
    "PE",
    "PF",
    "PG",
    "PH",
    "PK",
    "PL",
    "PM",
    "PN",
    "PR",
    "PS",
    "PT",
    "PW",
    "PY",
    "QA",
    "RE",
    "RO",
    "RS",
    "RU",
    "RW",
    "SA",
    "SB",
    "SC",
    "SD",
    "SE",
    "SG",
    "SH",
    "SI",
    "SJ",
    "SK",
    "SL",
    "SM",
    "SN",
    "SO",
    "SR",
    "SS",
    "ST",
    "SV",
    "SX",
    "SY",
    "SZ",
    "TC",
    "TD",
    "TF",
    "TG",
    "TH",
    "TJ",
    "TK",
    "TL",
    "TM",
    "TN",
    "TO",
    "TR",
    "TT",
    "TV",
    "TW",
    "TZ",
    "UA",
    "UG",
    "UM",
    "US",
    "UY",
    "UZ",
    "VA",
    "VC",
    "VE",
    "VG",
    "VI",
    "VN",
    "VU",
    "WF",
    "WS",
    "YE",
    "YT",
    "ZA",
    "ZM",
    "ZW",
});

const auto directions = std::to_array<std::string_view>({
    "East",
    "North",
    "Northeast",
    "Northwest",
    "South",
    "Southeast",
    "Southwest",
    "West",
});

const auto timeZones = std::to_array<std::string_view>({
    // clang-format off
    "Africa/Abidjan",
    "Africa/Accra",
    "Africa/Addis_Ababa",
    "Africa/Algiers",
    "Africa/Asmara",
    "Africa/Bamako",
    "Africa/Bangui",
    "Africa/Banjul",
    "Africa/Bissau",
    "Africa/Blantyre",
    "Africa/Brazzaville",
    "Africa/Bujumbura",
    "Africa/Cairo",
    "Africa/Casablanca",
    "Africa/Ceuta",
    "Africa/Conakry",
    "Africa/Dakar",
    "Africa/Dar_es_Salaam",
    "Africa/Djibouti",
    "Africa/Douala",
    "Africa/El_Aaiun",
    "Africa/Freetown",
    "Africa/Gaborone",
    "Africa/Harare",
    "Africa/Johannesburg",
    "Africa/Juba",
    "Africa/Kampala",
    "Africa/Khartoum",
    "Africa/Kigali",
    "Africa/Kinshasa",
    "Africa/Lagos",
    "Africa/Libreville",
    "Africa/Lome",
    "Africa/Luanda",
    "Africa/Lubumbashi",
    "Africa/Lusaka",
    "Africa/Malabo",
    "Africa/Maputo",
    "Africa/Maseru",
    "Africa/Mbabane",
    "Africa/Mogadishu",
    "Africa/Monrovia",
    "Africa/Nairobi",
    "Africa/Ndjamena",
    "Africa/Niamey",
    "Africa/Nouakchott",
    "Africa/Ouagadougou",
    "Africa/Porto-Novo",
    "Africa/Sao_Tome",
    "Africa/Tripoli",
    "Africa/Tunis",
    "Africa/Windhoek",
    "America/Adak",
    "America/Anchorage",
    "America/Anguilla",
    "America/Antigua",
    "America/Araguaina",
    "America/Argentina/Buenos_Aires",
    "America/Argentina/Catamarca",
    "America/Argentina/Cordoba",
    "America/Argentina/Jujuy",
    "America/Argentina/La_Rioja",
    "America/Argentina/Mendoza",
    "America/Argentina/Rio_Gallegos",
    "America/Argentina/Salta",
    "America/Argentina/San_Juan",
    "America/Argentina/San_Luis",
    "America/Argentina/Tucuman",
    "America/Argentina/Ushuaia",
    "America/Aruba",
    "America/Asuncion",
    "America/Atikokan",
    "America/Bahia",
    "America/Bahia_Banderas",
    "America/Barbados",
    "America/Belem",
    "America/Belize",
    "America/Blanc-Sablon",
    "America/Boa_Vista",
    "America/Bogota",
    "America/Boise",
    "America/Cambridge_Bay",
    "America/Campo_Grande",
    "America/Cancun",
    "America/Caracas",
    "America/Cayenne",
    "America/Cayman",
    "America/Chicago",
    "America/Chihuahua",
    "America/Costa_Rica",
    "America/Creston",
    "America/Cuiaba",
    "America/Curacao",
    "America/Danmarkshavn",
    "America/Dawson",
    "America/Dawson_Creek",
    "America/Denver",
    "America/Detroit",
    "America/Dominica",
    "America/Edmonton",
    "America/Eirunepe",
    "America/El_Salvador",
    "America/Fort_Nelson",
    "America/Fortaleza",
    "America/Glace_Bay",
    "America/Goose_Bay",
    "America/Grand_Turk",
    "America/Grenada",
    "America/Guadeloupe",
    "America/Guatemala",
    "America/Guayaquil",
    "America/Guyana",
    "America/Halifax",
    "America/Havana",
    "America/Hermosillo",
    "America/Indiana/Indianapolis",
    "America/Indiana/Knox",
    "America/Indiana/Marengo",
    "America/Indiana/Petersburg",
    "America/Indiana/Tell_City",
    "America/Indiana/Vevay",
    "America/Indiana/Vincennes",
    "America/Indiana/Winamac",
    "America/Inuvik",
    "America/Iqaluit",
    "America/Jamaica",
    "America/Juneau",
    "America/Kentucky/Louisville",
    "America/Kentucky/Monticello",
    "America/Kralendijk",
    "America/La_Paz",
    "America/Lima",
    "America/Los_Angeles",
    "America/Lower_Princes",
    "America/Maceio",
    "America/Managua",
    "America/Manaus",
    "America/Marigot",
    "America/Martinique",
    "America/Matamoros",
    "America/Mazatlan",
    "America/Menominee",
    "America/Merida",
    "America/Metlakatla",
    "America/Mexico_City",
    "America/Miquelon",
    "America/Moncton",
    "America/Monterrey",
    "America/Montevideo",
    "America/Montserrat",
    "America/Nassau",
    "America/New_York",
    "America/Nome",
    "America/Noronha",
    "America/North_Dakota/Beulah",
    "America/North_Dakota/Center",
    "America/North_Dakota/New_Salem",
    "America/Nuuk",
    "America/Ojinaga",
    "America/Panama",
    "America/Paramaribo",
    "America/Phoenix",
    "America/Port-au-Prince",
    "America/Port_of_Spain",
    "America/Porto_Velho",
    "America/Puerto_Rico",
    "America/Punta_Arenas",
    "America/Rankin_Inlet",
    "America/Recife",
    "America/Regina",
    "America/Resolute",
    "America/Rio_Branco",
    "America/Santarem",
    "America/Santiago",
    "America/Santo_Domingo",
    "America/Sao_Paulo",
    "America/Scoresbysund",
    "America/Sitka",
    "America/St_Barthelemy",
    "America/St_Johns",
    "America/St_Kitts",
    "America/St_Lucia",
    "America/St_Thomas",
    "America/St_Vincent",
    "America/Swift_Current",
    "America/Tegucigalpa",
    "America/Thule",
    "America/Tijuana",
    "America/Toronto",
    "America/Tortola",
    "America/Vancouver",
    "America/Whitehorse",
    "America/Winnipeg",
    "America/Yakutat",
    "America/Yellowknife",
    "Antarctica/Casey",
    "Antarctica/Davis",
    "Antarctica/DumontDUrville",
    "Antarctica/Macquarie",
    "Antarctica/Mawson",
    "Antarctica/McMurdo",
    "Antarctica/Palmer",
    "Antarctica/Rothera",
    "Antarctica/Syowa",
    "Antarctica/Troll",
    "Antarctica/Vostok",
    "Arctic/Longyearbyen",
    "Asia/Aden",
    "Asia/Almaty",
    "Asia/Amman",
    "Asia/Anadyr",
    "Asia/Aqtau",
    "Asia/Aqtobe",
    "Asia/Ashgabat",
    "Asia/Atyrau",
    "Asia/Baghdad",
    "Asia/Bahrain",
    "Asia/Baku",
    "Asia/Bangkok",
    "Asia/Barnaul",
    "Asia/Beirut",
    "Asia/Bishkek",
    "Asia/Brunei",
    "Asia/Chita",
    "Asia/Choibalsan",
    "Asia/Colombo",
    "Asia/Damascus",
    "Asia/Dhaka",
    "Asia/Dili",
    "Asia/Dubai",
    "Asia/Dushanbe",
    "Asia/Famagusta",
    "Asia/Gaza",
    "Asia/Hebron",
    "Asia/Ho_Chi_Minh",
    "Asia/Hong_Kong",
    "Asia/Hovd",
    "Asia/Irkutsk",
    "Asia/Jakarta",
    "Asia/Jayapura",
    "Asia/Jerusalem",
    "Asia/Kabul",
    "Asia/Kamchatka",
    "Asia/Karachi",
    "Asia/Kathmandu",
    "Asia/Khandyga",
    "Asia/Kolkata",
    "Asia/Krasnoyarsk",
    "Asia/Kuala_Lumpur",
    "Asia/Kuching",
    "Asia/Kuwait",
    "Asia/Macau",
    "Asia/Magadan",
    "Asia/Makassar",
    "Asia/Manila",
    "Asia/Muscat",
    "Asia/Nicosia",
    "Asia/Novokuznetsk",
    "Asia/Novosibirsk",
    "Asia/Omsk",
    "Asia/Oral",
    "Asia/Phnom_Penh",
    "Asia/Pontianak",
    "Asia/Pyongyang",
    "Asia/Qatar",
    "Asia/Qostanay",
    "Asia/Qyzylorda",
    "Asia/Riyadh",
    "Asia/Sakhalin",
    "Asia/Samarkand",
    "Asia/Seoul",
    "Asia/Shanghai",
    "Asia/Singapore",
    "Asia/Srednekolymsk",
    "Asia/Taipei",
    "Asia/Tashkent",
    "Asia/Tbilisi",
    "Asia/Tehran",
    "Asia/Thimphu",
    "Asia/Tokyo",
    "Asia/Tomsk",
    "Asia/Ulaanbaatar",
    "Asia/Urumqi",
    "Asia/Ust-Nera",
    "Asia/Vientiane",
    "Asia/Vladivostok",
    "Asia/Yakutsk",
    "Asia/Yangon",
    "Asia/Yekaterinburg",
    "Asia/Yerevan",
    "Atlantic/Azores",
    "Atlantic/Bermuda",
    "Atlantic/Canary",
    "Atlantic/Cape_Verde",
    "Atlantic/Faroe",
    "Atlantic/Madeira",
    "Atlantic/Reykjavik",
    "Atlantic/South_Georgia",
    "Atlantic/St_Helena",
    "Atlantic/Stanley",
    "Australia/Adelaide",
    "Australia/Brisbane",
    "Australia/Broken_Hill",
    "Australia/Darwin",
    "Australia/Eucla",
    "Australia/Hobart",
    "Australia/Lindeman",
    "Australia/Lord_Howe",
    "Australia/Melbourne",
    "Australia/Perth"
    // clang-format on,
    "Australia/Sydney",
    "Europe/Amsterdam",
    "Europe/Andorra",
    "Europe/Astrakhan",
    "Europe/Athens",
    "Europe/Belgrade",
    "Europe/Berlin",
    "Europe/Bratislava",
    "Europe/Brussels",
    "Europe/Bucharest",
    "Europe/Budapest",
    "Europe/Busingen",
    "Europe/Chisinau",
    "Europe/Copenhagen",
    "Europe/Dublin",
    "Europe/Gibraltar",
    "Europe/Guernsey",
    "Europe/Helsinki",
    "Europe/Isle_of_Man",
    "Europe/Istanbul",
    "Europe/Jersey",
    "Europe/Kaliningrad",
    "Europe/Kirov",
    "Europe/Kyiv",
    "Europe/Lisbon",
    "Europe/Ljubljana",
    "Europe/London",
    "Europe/Luxembourg",
    "Europe/Madrid",
    "Europe/Malta",
    "Europe/Mariehamn",
    "Europe/Minsk",
    "Europe/Monaco",
    "Europe/Moscow",
    "Europe/Oslo",
    "Europe/Paris",
    "Europe/Podgorica",
    "Europe/Prague",
    "Europe/Riga",
    "Europe/Rome",
    "Europe/Samara",
    "Europe/San_Marino",
    "Europe/Sarajevo",
    "Europe/Saratov",
    "Europe/Simferopol",
    "Europe/Skopje",
    "Europe/Sofia",
    "Europe/Stockholm",
    "Europe/Tallinn",
    "Europe/Tirane",
    "Europe/Ulyanovsk",
    "Europe/Vaduz",
    "Europe/Vatican",
    "Europe/Vienna",
    "Europe/Vilnius",
    "Europe/Volgograd",
    "Europe/Warsaw",
    "Europe/Zagreb",
    "Europe/Zurich",
    "Indian/Antananarivo",
    "Indian/Chagos",
    "Indian/Christmas",
    "Indian/Cocos",
    "Indian/Comoro",
    "Indian/Kerguelen",
    "Indian/Mahe",
    "Indian/Maldives",
    "Indian/Mauritius",
    "Indian/Mayotte",
    "Indian/Reunion",
    "Pacific/Apia",
    "Pacific/Auckland",
    "Pacific/Bougainville",
    "Pacific/Chatham",
    "Pacific/Chuuk",
    "Pacific/Easter",
    "Pacific/Efate",
    "Pacific/Fakaofo",
    "Pacific/Fiji",
    "Pacific/Funafuti",
    "Pacific/Galapagos",
    "Pacific/Gambier",
    "Pacific/Guadalcanal",
    "Pacific/Guam",
    "Pacific/Honolulu",
    "Pacific/Kanton",
    "Pacific/Kiritimati",
    "Pacific/Kosrae",
    "Pacific/Kwajalein",
    "Pacific/Majuro",
    "Pacific/Marquesas",
    "Pacific/Midway",
    "Pacific/Nauru",
    "Pacific/Niue",
    "Pacific/Norfolk",
    "Pacific/Noumea",
    "Pacific/Pago_Pago",
    "Pacific/Palau",
    "Pacific/Pitcairn",
    "Pacific/Pohnpei",
    "Pacific/Port_Moresby",
    "Pacific/Rarotonga",
    "Pacific/Saipan",
    "Pacific/Tahiti",
    "Pacific/Tarawa",
    "Pacific/Tongatapu",
    "Pacific/Wake",
    "Pacific/Wallis",
});

// Australia

const auto australiaCities = std::to_array<std::string_view>({
    // clang-format off
    "Sydney",
    "Aberdare",
    "Adelaide",
    "Albury",
    "Aldgate",
    "Alstonville",
    "Andergrove",
    "Anna Bay",
    "Ararat",
    "Armidale",
    "Australind",
    "Ballarat",
    "Ballina",
    "Bangalow",
    "Banora Point",
    "Bargara",
    "Barmera",
    "Barwon Heads",
    "Batehaven",
    "Bathurst",
    "Baxter",
    "Bay View",
    "Beaconsfield Upper",
    "Beechworth",
    "Bellingen",
    "Bendigo",
    "Berri",
    "Blaxland",
    "Blayney",
    "Bli Bli",
    "Bogangar",
    "Bomaderry",
    "Bongaree",
    "Bonny Hills"
    // clang-format on,
    "Boulder",
    "Bourke",
    "Bowral",
    "Brisbane",
    "Broadford",
    "Brunswick Heads",
    "Bucasia",
    "Buninyong",
    "Burnie",
    "Burpengary",
    "Caboolture",
    "Cairns",
    "Caloundra",
    "Camden Haven",
    "Campbelltown",
    "Camperdown",
    "Canberra",
    "Cannonvale",
    "Canowindra",
    "Casino",
    "Castlemaine",
    "Central Coast",
    "Cessnock",
    "Charters Towers",
    "Churchill",
    "Clifton Springs",
    "Cobar",
    "Cobden",
    "Cockatoo",
    "Colac",
    "Condobolin",
    "Cooranbong",
    "Cootamundra",
    "Corinda",
    "Corowa",
    "Cowra",
    "Cranbourne",
    "Culburra",
    "Curlewis",
    "Dandenong",
    "Darwin",
    "Daylesford",
    "Deloraine",
    "Deniliquin",
    "Denman",
    "Dodges Ferry",
    "Dromana",
    "Drummond Cove",
    "Drysdale",
    "Echuca",
    "Eden",
    "Emu Plains",
    "Encounter Bay",
    "Esperance",
    "Euroa",
    "Evandale",
    "Forster",
    "Frankston",
    "Freeling",
    "Fremantle",
    "Freshwater",
    "Geelong",
    "George Town",
    "Gerringong",
    "Gilgandra",
    "Gladstone",
    "Glen Innes",
    "Glenbrook",
    "Glenella",
    "Gold Coast",
    "Goolwa",
    "Goonellabah",
    "Grafton",
    "Greenwell Point",
    "Grenfell",
    "Greta",
    "Griffith",
    "Gympie",
    "Hadspen",
    "Hahndorf",
    "Hazelbrook",
    "Healesville",
    "Heddon Greta",
    "Helensburgh",
    "Hervey Bay",
    "Hill Top",
    "Hobart",
    "Horsham",
    "Howlong",
    "Hurstbridge",
    "Innisfail",
    "Inverell",
    "Inverloch",
    "Ipswich",
    "Jindabyne",
    "Kapunda",
    "Katoomba",
    "Kerang",
    "Kiama Downs",
    "Kingscliff",
    "Kingston",
    "Koo-Wee-Rup",
    "Korumburra",
    "Kurrajong Heights",
    "Kurri Kurri",
    "Kyabram",
    "Kyneton",
    "Lake Cathie",
    "Lakes Entrance",
    "Lara",
    "Latrobe",
    "Launceston",
    "Launching Place",
    "Lawson",
    "Leeton",
    "Legana",
    "Lennox Head",
    "Leongatha",
    "Leopold",
    "Lismore",
    "Lithgow",
    "Lobethal",
    "Longford",
    "Loxton",
    "Lyndoch",
    "Mackay",
    "Maddingley",
    "Maffra",
    "Mandurah",
    "Manilla",
    "Mansfield",
    "Marcoola",
    "Mareeba",
    "Margate",
    "Maryborough",
    "McLaren Vale",
    "Melbourne",
    "Merimbula",
    "Merrimac",
    "Mildura",
    "Millicent",
    "Mittagong",
    "Moama",
    "Mollymook",
    "Mooroopna",
    "Moree",
    "Morwell",
    "Moss Vale",
    "Mount Barker",
    "Mount Eliza",
    "Mount Evelyn",
    "Mount Gambier",
    "Mudgee",
    "Mullumbimby",
    "Mulwala",
    "Murwillumbah",
    "Muswellbrook",
    "Nairne",
    "Nambour",
    "Nambucca Heads",
    "Narooma",
    "Narrabri",
    "Narrandera",
    "Nathalia",
    "Nerang",
    "New Norfolk",
    "Newcastle",
    "North Mackay",
    "North Wonthaggi",
    "Nowra",
    "Numurkah",
    "Nuriootpa",
    "Oakdale",
    "Old Bar",
    "Orbost",
    "Pakenham",
    "Parkes",
    "Paynesville",
    "Pearcedale",
    "Penguin",
    "Penrith",
    "Peregian Beach",
    "Perth",
    "Perth",
    "Picton",
    "Point Vernon",
    "Port Augusta",
    "Port Fairy",
    "Port Macquarie",
    "Quakers Hill",
    "Queenstown",
    "Quirindi",
    "Rasmussen",
    "Red Cliffs",
    "Renmark",
    "Richmond",
    "Riverview",
    "Robinvale",
    "Roxby Downs",
    "Rutherford",
    "Rutherglen",
    "Saint Arnaud",
    "Saint Georges Basin",
    "San Remo",
    "Sanctuary Point",
    "Sandy Beach",
    "Sawtell",
    "Scarness",
    "Scone",
    "Seven Mile Beach",
    "Seymour",
    "Shoalhaven Heads",
    "Silverdale",
    "Smithton",
    "Somerset",
    "Southport",
    "Springwood",
    "Stawell",
    "Stirling",
    "Strathalbyn",
    "Suffolk Park",
    "Sunbury",
    "Surfside",
    "Swan Hill",
    "Tahmoor",
    "Tanunda",
    "Taree",
    "Tathra",
    "Tatura",
    "Tea Gardens",
    "Temora",
    "Terranora",
    "The Entrance",
    "The Oaks",
    "Thirlmere",
    "Thursday Island",
    "Tinonee",
    "Toowoomba",
    "Townsville",
    "Trafalgar",
    "Traralgon",
    "Tumut",
    "Tuncurry",
    "Tura Beach",
    "Tweed Heads",
    "Ulverstone",
    "Urraween",
    "Urunga",
    "Valley Heights",
    "Victor Harbor",
    "Vincentia",
    "Wagga Wagga",
    "Wahgunyah",
    "Waikerie",
    "Walgett",
    "Wallan",
    "Wallerawang",
    "Warragul",
    "Warrnambool",
    "Waterford",
    "Wattleglen",
    "Wauchope",
    "Wellington",
    "West Wyalong",
    "Westbury",
    "Weston",
    "Whittlesea",
    "Whyalla",
    "Williamstown",
    "Willunga",
    "Wilton",
    "Windsor",
    "Wingham",
    "Wollongong",
    "Woodside",
    "Woolgoolga",
    "Woori Yallock",
    "Worragee",
    "Wynyard",
    "Wyong",
    "Yallourn North",
    "Yamba",
    "Yanchep",
    "Yaroomba",
    "Yarra Glen",
    "Yarragon",
    "Yarram",
    "Yass",
    "Young",
});

const auto australiaStates = std::to_array<std::string_view>({
    "Australian Capital Territory",
    "New South Wales",
    "Northern Territory",
    "Queensland",
    "South Australia",
    "Tasmania",
    "Victoria",
    "Western Australia",
});

const auto australiaStreetSuffixes = std::to_array<std::string_view>({
    "Avenue",
    "Boulevard",
    "Circle",
    "Circuit",
    "Court",
    "Crescent",
    "Crest",
    "Drive",
    "Estate Dr",
    "Grove",
    "Hill",
    "Island",
    "Junction",
    "Knoll",
    "Lane",
    "Loop",
    "Mall",
    "Manor",
    "Meadow",
    "Mews",
    "Parade",
    "Parkway",
    "Pass",
    "Place",
    "Plaza",
    "Ridge",
    "Road",
    "Run",
    "Square",
    "Station St",
    "Street",
    "Summit",
    "Terrace",
    "Track",
    "Trail",
    "View Rd",
    "Way",
});

const std::string_view australiaZipCodeFormat{"####"};

const auto australiaAddressFormats = std::to_array<std::string_view>({
    "{buildingNumber} {street}",
});

const auto australiaBuildingNumberFormats = std::to_array<std::string_view>({
    "##",
    "###",
    "####",
});

const auto australiaStreetFormats =
    std::to_array<std::string_view>({
    "{firstName} {streetSuffix}",
    "{lastName} {streetSuffix}",
});

const auto australiaCityFormats = std::to_array<std::string_view>({
    "{cityName}",
});

const CountryAddressesInfo australiaAddresses{
    australiaZipCodeFormat,
    (australiaAddressFormats),
    {},
    (australiaStreetFormats),
    {},
    {},
    (australiaStreetSuffixes),
    (australiaBuildingNumberFormats),
    (australiaCityFormats),
    {},
    (australiaCities),
    {},
    (australiaStates),
};

// Brazil

const auto brazilCitySuffixes = std::to_array<std::string_view>({
    "de Nossa Senhora",
    "do Descoberto",
    "do Norte",
    "do Sul",
});

const auto brazilStates = std::to_array<std::string_view>({
    // clang-format off
    "Acre",
    "Alagoas",
    "Amapá",
    "Amazonas",
    "Bahia",
    "Ceará",
    "Distrito Federal",
    "Espírito Santo",
    "Goiás",
    "Maranhão",
    "Mato Grosso",
    "Mato Grosso do Sul",
    "Minas Gerais",
    "Paraná",
    "Paraíba",
    "Pará",
    "Pernambuco",
    "Piauí",
    "Rio Grande do Norte",
    "Rio Grande do Sul"
    // clang-format on,
    "Rio de Janeiro",
    "Rondônia",
    "Roraima",
    "Santa Catarina",
    "Sergipe",
    "São Paulo",
    "Tocantins",
});

const auto brazilStreetSuffixes = std::to_array<std::string_view>({
    "Alameda",
    "Avenida",
    "Marginal",
    "Rodovia",
    "Rua",
    "Travessa",
});

const std::string_view brazilZipCodeFormat{"#####-###"};

const auto brazilAddressFormats =
    std::to_array<std::string_view>({
    "{street} {buildingNumber}",
    "{street} {buildingNumber} {secondaryAddress}",
});

const auto brazilSecondaryAddressFormats =
    std::to_array<std::string_view>({
    "Apto. ###",
    "Casa #",
    "Lote ##",
    "Quadra ##",
    "Sobrado ##",
});

const auto brazilBuildingNumberFormats = std::to_array<std::string_view>({
    "###",
    "####",
    "#####",
});

const auto brazilStreetFormats =
    std::to_array<std::string_view>({
    "{firstName} {streetSuffix}",
    "{lastName} {streetSuffix}",
});

const auto brazilCityFormats = std::to_array<std::string_view>({
    "{firstName} {citySuffix}",
    "{lastName} {citySuffix}",
});

const CountryAddressesInfo brazilAddresses{
    brazilZipCodeFormat,
    (brazilAddressFormats),
    (brazilSecondaryAddressFormats),
    (brazilStreetFormats),
    {},
    {},
    (brazilStreetSuffixes),
    (brazilBuildingNumberFormats),
    (brazilCityFormats),
    {},
    {},
    (brazilCitySuffixes),
    (brazilStates),
};

// Czech Republic

const auto czechCities = std::to_array<std::string_view>({
    // clang-format off
    "Abertamy",
    "Adamov",
    "Andělská Hora",
    "Aš",
    "Bakov nad Jizerou",
    "Bavorov",
    "Bechyně",
    "Beroun",
    "Bezdružice",
    "Blansko",
    "Blatná",
    "Blovice",
    "Brno",
    "Broumov",
    "Brtnice",
    "Brumov-Bylnice",
    "Bruntál",
    "Bzenec",
    "Bílina",
    "Bílovec",
    "Chabařovice",
    "Cheb",
    "Chlumec",
    "Chlumec nad Cidlinou",
    "Choceň",
    "Chodov",
    "Chomutov",
    "Chotěboř",
    "Chrast",
    "Chrastava",
    "Chropyně",
    "Chrudim",
    "Chvaletice",
    "Chyše",
    "Chýnov",
    "Chřibská",
    "Cvikov",
    "Dačice",
    "Dašice",
    "Desná",
    "Deštná",
    "Dobrovice",
    "Dobruška",
    "Dobřany",
    "Dobřichovice",
    "Dobříš",
    "Doksy",
    "Dolní Benešov",
    "Dolní Bousov",
    "Dolní Kounice",
    "Dolní Poustevna",
    "Domažlice",
    "Dubá",
    "Dubí",
    "Dubňany",
    "Duchcov",
    "Dvůr Králové nad Labem",
    "Děčín",
    "Františkovy Lázně",
    "Frenštát pod Radhoštěm",
    "Fryšták",
    "Frýdek-Místek",
    "Frýdlant",
    "Frýdlant nad Ostravicí",
    "Fulnek",
    "Golčův Jeníkov",
    "Habartov",
    "Habry",
    "Hanušovice",
    "Harrachov",
    "Hartmanice",
    "Havlíčkův Brod",
    "Havířov",
    "Hejnice",
    "Heřmanův Městec",
    "Hlinsko",
    "Hluboká nad Vltavou",
    "Hluk",
    "Hlučín",
    "Hodkovice nad Mohelkou",
    "Hodonín",
    "Holešov",
    "Holice",
    "Holýšov",
    "Hora Svaté Kateřiny",
    "Hrotovice",
    "Hroznětín",
    "Hrušovany nad Jevišovkou",
    "Hulín",
    "Humpolec",
    "Husinec",
    "Hustopeče",
    "Ivanovice na Hané",
    "Ivančice",
    "Jablonné nad Orlicí",
    "Jablonné v Podještědí",
    "Jablunkov",
    "Janov",
    "Janovice nad Úhlavou",
    "Janské Lázně",
    "Jaroměř",
    "Jaroměřice nad Rokytnou",
    "Javorník",
    "Jemnice",
    "Jesenice (okres Rakovník)",
    "Jeseník",
    "Jevišovice",
    "Jevíčko",
    "Jirkov",
    "Jistebnice",
    "Jičín",
    "Jiříkov",
    "Jáchymov",
    "Kadaň",
    "Kamenický Šenov",
    "Kaplice",
    "Kardašova Řečice",
    "Karlovy Vary",
    "Karolinka",
    "Karviná",
    "Kasejovice",
    "Kaznějov",
    "Kašperské Hory",
    "Kdyně",
    "Kelč",
    "Kladno",
    "Kladruby",
    "Klatovy",
    "Klecany",
    "Klimkovice",
    "Klobouky u Brna",
    "Klášterec nad Ohří",
    "Kojetín",
    "Kolín",
    "Konice",
    "Kopidlno",
    "Kopřivnice",
    "Koryčany",
    "Kosmonosy",
    "Kostelec na Hané",
    "Kostelec nad Labem",
    "Kostelec nad Orlicí",
    "Kostelec nad Černými lesy",
    "Kouřim",
    "Košťany",
    "Kravaře",
    "Krnov",
    "Kroměříž",
    "Krupka",
    "Kryry",
    "Krásno",
    "Kunovice",
    "Kunštát",
    "Kutná Hora",
    "Kuřim",
    "Kyjov",
    "Kynšperk nad Ohří",
    "Lanškroun",
    "Lanžhot",
    "Ledeč nad Sázavou",
    "Ledvice",
    "Letohrad",
    "Letovice",
    "Liberec",
    "Libochovice",
    "Libáň",
    "Libčice nad Vltavou",
    "Liběchov",
    "Lázně Bohdaneč",
    "Lázně Bělohrad",
    "Lázně Kynžvart",
    "Meziboří",
    "Meziměstí",
    "Mikulov",
    "Mikulášovice",
    "Miletín",
    "Milevsko",
    "Milovice",
    "Mimoň",
    "Miroslav",
    "Mirotice",
    "Mirovice",
    "Mirošov",
    "Mladá Boleslav",
    "Mladá Vožice",
    "Mnichovice",
    "Mnichovo Hradiště",
    "Mýto",
    "Město Albrechtice",
    "Město Touškov",
    "Mšeno",
    "Nalžovské Hory",
    "Napajedla",
    "Nasavrky",
    "Nechanice",
    "Nejdek",
    "Nepomuk",
    "Neratovice",
    "Netolice",
    "Neveklov",
    "Nový Jičín",
    "Nový Knín",
    "Nymburk",
    "Náchod",
    "Náměšť nad Oslavou",
    "Nýrsko",
    "Nýřany",
    "Němčice nad Hanou",
    "Odolena Voda",
    "Odry",
    "Olešnice",
    "Olomouc",
    "Oloví",
    "Opava",
    "Opočno",
    "Orlová",
    "Osek",
    "Osečná",
    "Oslavany",
    "Ostrava",
    "Ostrov",
    "Otrokovice",
    "Pacov",
    "Pardubice",
    "Paskov",
    "Pec pod Sněžkou",
    "Pelhřimov",
    "Petřvald",
    "Pečky",
    "Pilníkov",
    "Planá",
    "Planá nad Lužnicí",
    "Plasy",
    "Plesná",
    "Plumlov",
    "Plzeň",
    "Plánice",
    "Poběžovice",
    "Podbořany",
    "Podivín",
    "Poděbrady",
    "Pohořelice",
    "Police nad Metují",
    "Polička",
    "Polná",
    "Postoloprty",
    "Potštát",
    "Počátky",
    "Prachatice",
    "Praha",
    "Písek",
    "Rabí",
    "Radnice",
    "Rajhrad",
    "Rakovník",
    "Ralsko",
    "Raspenava",
    "Rejštejn",
    "Rokycany",
    "Rokytnice nad Jizerou",
    "Rokytnice v Orlických horách",
    "Ronov nad Doubravou",
    "Rosice",
    "Rotava",
    "Roudnice nad Labem",
    "Rousínov",
    "Rovensko pod Troskami",
    "Roztoky",
    "Rožmberk nad Vltavou",
    "Rožmitál pod Třemšínem",
    "Rožnov pod Radhoštěm",
    "Rožďalovice",
    "Rtyně v Podkrkonoší",
    "Rudná",
    "Rudolfov",
    "Rumburk",
    "Rychnov nad Kněžnou",
    "Rychnov u Jablonce nad Nisou",
    "Rychvald",
    "Rájec-Jestřebí",
    "Rýmařov",
    "Sadská",
    "Sedlec-Prčice",
    "Sedlice",
    "Sedlčany",
    "Semily",
    "Sezemice",
    "Sezimovo Ústí",
    "Seč",
    "Skalná",
    "Skuteč",
    "Slaný",
    "Slatiňany",
    "Slavičín",
    "Slavkov u Brna",
    "Slavonice",
    "Slušovice",
    "Smečno",
    "Smiřice",
    "Smržovka"
    // clang-format on,
    "Sázava",
    "Čelákovice",
    "Černovice",
    "Černošice",
    "Černošín",
    "Červená Řečice",
    "Červený Kostelec",
    "Česká Kamenice",
    "Česká Lípa",
    "Česká Skalice",
    "Česká Třebová",
    "České Budějovice",
    "České Velenice",
    "Český Brod",
    "Český Dub",
    "Český Krumlov",
    "Český Těšín",
    "Čáslav",
    "Řevnice",
    "Říčany",
});

const auto czechStates = std::to_array<std::string_view>({
    "Jihomoravský kraj",
    "Jihočeský kraj",
    "Karlovarský kraj",
    "Kraj Vysočina",
    "Královéhradecký kraj",
    "Liberecký kraj",
    "Moravskoslezský kraj",
    "Olomoucký kraj",
    "Pardubický kraj",
    "Plzeňský kraj",
    "Praha",
    "Středočeský kraj",
    "Zlínský kraj",
    "Ústecký kraj",
});

const auto czechStreetNames = std::to_array<std::string_view>({
    // clang-format off
    "Akademická",
    "Aksamitova",
    "Akátová",
    "Alabastrová",
    "Albertov",
    "Albrechtická",
    "Albánská",
    "Albíny Hochové",
    "Aldašínská",
    "Alej Českých Exulantů",
    "Amforová",
    "Amortova",
    "Ampérova",
    "Amurská",
    "Anastázova",
    "Anderleho",
    "Chládkova",
    "Chmelařská",
    "Chmelická",
    "Chmelová",
    "Chmelířova",
    "Choceradská",
    "Choceňská",
    "Chocholouškova",
    "Chrpová",
    "Chrudimská",
    "Chráněná",
    "Cihelná",
    "Cuřínova",
    "Cvikovská",
    "Cvičebná",
    "Cvrčkova",
    "Cyprichova",
    "Cíglerova",
    "Cílkova",
    "Cínovecká",
    "Církova",
    "Církvická",
    "Církvičná",
    "Císařská Louka",
    "Císařský Ostrov",
    "Cítovská",
    "Drimlova",
    "Drnovská",
    "Drobná",
    "Drtikolova",
    "Drtinova",
    "Druhanická",
    "Druhého Odboje",
    "Družicová",
    "Družnosti",
    "Družná",
    "Dudkova",
    "Dudínská",
    "Duhová",
    "Dukelská",
    "Dukelských Hrdinů",
    "Dunajevského",
    "Dunajská",
    "Dunická",
    "Dunovského",
    "Durychova",
    "Dusíkova",
    "Duškova",
    "Dušní",
    "Dvorecká",
    "Dvorecké Nám.",
    "Dvorecké Náměstí",
    "Dvorní",
    "Dvorská",
    "Dvoudílná",
    "Dětský Ostrov",
    "Děvínská",
    "Děčínská",
    "Dřevařská",
    "Dřevnická",
    "Dřevná",
    "Dřevčická",
    "Dřínovská",
    "Dřínová",
    "Dřítenská",
    "Eberlova",
    "Ebrova",
    "Edisonova",
    "Edvardova",
    "Egyptská",
    "Eichlerova",
    "Ellnerové",
    "Elsnicovo Náměstí",
    "Emilie Hyblerové",
    "Emlerova",
    "Engelmüllerova",
    "Fabiánská",
    "Fadějevova",
    "Fajmanové",
    "Fajtlova",
    "Falcká",
    "Faltysova",
    "Famfulíkova",
    "Fantova",
    "Fibichova",
    "Fikerova",
    "Filipova",
    "Filipovského",
    "Filipíny Welserové",
    "Fillova",
    "Filmařská",
    "Filosofská",
    "Fingerova",
    "Finkovská",
    "Finská",
    "Firkušného",
    "Fischlova",
    "Fišerova",
    "Flemingovo Nám.",
    "Flemingovo Náměstí",
    "Flájská",
    "Flöglova",
    "Foerstrova",
    "Folmavská",
    "Formanská",
    "Formánkova",
    "Františka Šimáčka",
    "Frézařská",
    "Frýdecká",
    "Frýdlantská",
    "Fuchsova",
    "Fügnerovo Nám.",
    "Fügnerovo Náměstí",
    "Gabinova",
    "Gabčíkova",
    "Gagarinova",
    "Galandova",
    "Galileova",
    "Gallašova",
    "Galvaniho",
    "Gaussova",
    "Gdaňská",
    "Gollova",
    "Golčova",
    "Gončarenkova",
    "Gorazdova",
    "Gotthardská",
    "Goyova",
    "Gočárova",
    "Grafická",
    "Grafitová",
    "Grammova",
    "Granátová",
    "Gregorova",
    "Grussova",
    "Gruzínská",
    "Gutfreundova",
    "Gutova",
    "Gymnasijní",
    "Hříbková",
    "Hřídelecká",
    "Hůlkova",
    "Izraelská",
    "Jana Ouřady",
    "Janýrova",
    "Jančova",
    "Jarešova",
    "Jarkovská",
    "Jarmily Novotné",
    "Jarní",
    "Jarníkova",
    "Jaromíra Jindry",
    "Kurta Konráda",
    "Kurzova",
    "Kurčatovova",
    "Kusá",
    "Kusého",
    "Kutilova",
    "Kutnauerovo Náměstí",
    "Kutnohorská",
    "Kutrovická",
    "Kuttelwascherova",
    "Kutvirtova",
    "Kučerova",
    "Kučerové",
    "Kuťatská",
    "Kuželova",
    "Kvapilova",
    "Kyjská",
    "Kykalova",
    "Kymrova",
    "Kynická",
    "Kyselova",
    "Kyslíková",
    "Kysucká",
    "Kysúcká",
    "Kytlická",
    "Kytínská",
    "Kácovská",
    "Kádnerova",
    "Kálikova",
    "Kálmánova",
    "Káranská",
    "Křejpského",
    "Křelovická",
    "Křemelná",
    "Křemencova",
    "Křemenná",
    "Lamačova",
    "Langweilova",
    "Lannova",
    "Lanýžová",
    "Lanžhotská",
    "Lhotákova",
    "Liberecká",
    "Liberijská",
    "Libečkova",
    "Libeňská",
    "Libeňský Ostrov",
    "Malátova",
    "Malé Nám.",
    "Martinova",
    "Martinovská",
    "Martinská",
    "Marty Krásové",
    "Marvanova",
    "Maršovská",
    "Masarykovo Nábř.",
    "Masarykovo Nábřeží",
    "Masná",
    "Matek",
    "Meziluží",
    "Mezipolí",
    "Mezitraťová",
    "Mezivrší",
    "Meziškolská",
    "Mečislavova",
    "Mečovská",
    "Mečíková",
    "Michalovicova",
    "Michalská",
    "Michelangelova",
    "Michelská",
    "Michnova",
    "Michnovka",
    "Mickiewiczova",
    "Mikanova",
    "Milovická",
    "Milánská",
    "Milínská",
    "Milíčova",
    "Milíčovská",
    "Mimoňská",
    "Minaříkova",
    "Minerální",
    "Minická",
    "Minská",
    "Miranova",
    "Miroslava Hajna"
    // clang-format on,
    "Miroslava Hamra",
    "Mirotická",
    "Návětrná",
    "Názovská",
    "Nýdecká",
    "Nýrská",
    "Nýřanská",
    "Němčická",
    "Otavská",
    "Otevřená",
    "Otická",
    "Otlíkovská",
    "Otopašská",
    "Otovická",
    "Otradovická",
    "Ottova",
    "Otvovická",
    "Oty Pavla",
    "Otínská",
    "Otěšínská",
    "Ouholická",
    "Ouhrabkova",
    "Ovenecká",
    "Ovesná",
    "Ovocná",
    "Ovocnářská",
    "Ovocný Trh",
    "Ovsíková",
    "Oválová",
    "Ovčárská",
    "Ovčí Hájek",
    "Ořechová",
    "Ořešská",
    "Paběnická",
    "Pacajevova",
    "Paceřická",
    "Panelová",
    "Panenky",
    "Panenská",
    "Pankrácké Náměstí",
    "Panská",
    "Panská Zahrada",
    "Panský Dvůr",
    "Panuškova",
    "Paprsková",
    "Papírenská",
    "Papírníkova",
    "Parašutistů",
    "Pardubická",
    "Park Přátelství",
    "Parková",
    "Parléřova",
    "Parmská",
    "Paroplavební",
    "Partyzánská",
    "Pasecká",
    "Pasteurova",
    "Pastevců",
    "Patočkova",
    "Pavelkova",
    "Pavla Beneše",
    "Pavla Švandy Ze Semčic",
    "Pavlická",
    "Pavlišovská",
    "Pavlovická",
    "Rackova Zahrada",
    "Radbuzská",
    "Radechovská",
    "Radešovská",
    "Sadařská",
    "Sadová",
    "Sadská",
    "Sady Bratří Čapků",
    "Safírová",
    "Salabova",
    "Salačova",
    "Salmovská",
    "Salvátorská",
    "Samcova",
    "Samohelova",
    "Samota U Podleského Rybníka",
    "Sarajevská",
    "Saratovská",
    "Sartoriova",
});

const std::string_view czechZipCodeFormat{"#####"};

const auto czechAddressFormats =
    std::to_array<std::string_view>({
    "{street} {buildingNumber}",
    "{street} {buildingNumber} {secondaryAddress}",
});

const auto czechSecondaryAddressFormats = std::to_array<std::string_view>({
    "Apt. ###",
    "Suite ###",
});

const auto czechBuildingNumberFormats = std::to_array<std::string_view>({
    "#",
    "##",
    "###",
});

const auto czechStreetFormats = std::to_array<std::string_view>({
    "{streetName}",
});

const auto czechCityFormats = std::to_array<std::string_view>({
    "{cityName}",
});

const CountryAddressesInfo czechAddresses{
    czechZipCodeFormat,
    (czechAddressFormats),
    (czechSecondaryAddressFormats),
    (czechStreetFormats),
    {},
    (czechStreetNames),
    {},
    (czechBuildingNumberFormats),
    (czechCityFormats),
    {},
    (czechCities),
    {},
    (czechStates),
};

// Denmark

const auto denmarkCities = std::to_array<std::string_view>({
    // clang-format off
    "Albertslund",
    "Aabenraa",
    "Aalborg",
    "Aalestrup",
    "Aarhus",
    "Aars",
    "Aarup",
    "Arden",
    "Asnæs",
    "Assentoft",
    "Augustenborg",
    "Aulum",
    "Auning",
    "Ballerup",
    "Beder-Malling",
    "Bellinge",
    "Birkerød",
    "Bjæverskov",
    "Bogense",
    "Borup",
    "Brejning",
    "Broager",
    "Brovst",
    "Brædstrup",
    "Brøndby",
    "Brønderslev",
    "Brørup",
    "Christiansfeld",
    "Dianalund",
    "Dragør",
    "Dronninglund",
    "Ejby",
    "Esbjerg",
    "Farsø",
    "Farum",
    "Faxe",
    "Faxe Ladeplads",
    "Fensmark",
    "Fjerritslev",
    "Fredensborg",
    "Fredericia",
    "Frederiksberg",
    "Frederikshavn",
    "Frederikssund",
    "Frederiksværk",
    "Frejlev",
    "Galten",
    "Ganløse",
    "Gentofte",
    "Gistrup",
    "Give",
    "Gladsaxe",
    "Glamsbjerg",
    "Glostrup",
    "Grenaa",
    "Greve Strand",
    "Grindsted",
    "Gråsten",
    "Græsted",
    "Guderup",
    "Haderslev",
    "Hadsten",
    "Hadsund",
    "Harlev",
    "Haslev",
    "Havdrup",
    "Hedehusene",
    "Hedensted",
    "Helsinge",
    "Helsingør",
    "Herlev",
    "Herning",
    "Hillerød",
    "Hinnerup",
    "Hjallerup",
    "Hjortshøj",
    "Hjørring",
    "Hobro",
    "Holbæk",
    "Holstebro",
    "Holsted",
    "Horsens",
    "Humlebæk",
    "Hundested",
    "Hurup",
    "Hvide Sande",
    "Hvidovre",
    "Højslev Stationsby",
    "Høng",
    "Hørning",
    "Hørsholm",
    "Høruphav",
    "Ikast",
    "Ishøj",
    "Jelling",
    "Juelsminde",
    "Jyderup",
    "Jyllinge",
    "Jægerspris",
    "Kalundborg",
    "Kibæk",
    "Kirke Hvalsø",
    "Kjellerup",
    "Klarup",
    "Kolding",
    "Korsør",
    "Kås",
    "København",
    "Køge",
    "Langeskov",
    "Langå",
    "Lillerød",
    "Liseleje",
    "Lunderskov",
    "Lyngby",
    "Lynge-Uggeløse",
    "Lystrup",
    "Løgstør",
    "Løgten",
    "Løgumkloster",
    "Mariager",
    "Middelfart",
    "Mårslet",
    "Nakskov",
    "Nexø",
    "Nivå",
    "Nordby",
    "Nyborg",
    "Nykøbing F",
    "Nykøbing M",
    "Næstved",
    "Nørre Åby",
    "Nørresundby",
    "Odder",
    "Odense",
    "Oksbøl",
    "Otterup",
    "Padborg",
    "Pandrup",
    "Præstø",
    "Randers",
    "Ribe",
    "Ringkøbing",
    "Ringsted",
    "Roskilde",
    "Rudersdal",
    "Rudkøbing",
    "Rødding",
    "Rødovre",
    "Rønde",
    "Rønne",
    "Sabro",
    "Sakskøbing",
    "Sankt Klemens",
    "Silkeborg",
    "Sindal",
    "Skanderborg",
    "Skibby",
    "Skive",
    "Skærbæk",
    "Skævinge",
    "Skørping",
    "Slagelse",
    "Smørumnedre",
    "Solbjerg",
    "Solrød Strand",
    "Sorø",
    "Stege",
    "Stenløse",
    "Stoholm",
    "Store Heddinge",
    "Storvorde",
    "Strib",
    "Struer"
    // clang-format on,
    "Strøby Egede",
    "Støvring",
    "Sundby",
    "Sunds",
    "Svejbæk",
    "Svendborg",
    "Svinninge",
    "Svogerslev",
    "Sæby",
    "Søften",
    "Sønderborg",
    "Søndersø",
    "Taarbæk",
    "Taastrup",
    "Tarm",
    "Taulov",
    "Thisted",
    "Thurø By",
    "Tinglev",
    "Tjæreborg",
    "Toftlund",
    "Trige",
    "Tune",
    "Tårnby",
    "Tølløse",
    "Tørring",
    "Ullerslev",
    "Vallensbæk",
    "Vamdrup",
    "Varde",
    "Vejen",
    "Vejle",
    "Vestbjerg",
    "Vester Hassing",
    "Viborg",
    "Viby S",
    "Videbæk",
    "Vildbjerg",
    "Vinderup",
    "Virklund",
    "Vissenbjerg",
    "Vodskov",
    "Vordingborg",
    "Værløse",
    "Årslev",
    "Ølgod",
    "Ølstykke",
});

const auto denmarkStates = std::to_array<std::string_view>({
    "Region Hovedstaden",
    "Region Midtjylland",
    "Region Nordjylland",
    "Region Sjælland",
    "Region Syddanmark",
});

const auto denmarkStreetNames = std::to_array<std::string_view>({
    // clang-format off
    "Agervej",
    "Askevej",
    "Bakkedraget",
    "Bakkegårdsvej",
    "Bakkevej",
    "Banevænget",
    "Birkealle",
    "Birkeparken",
    "Birkevej",
    "Bjergvej",
    "Bredgade",
    "Carlsmindevej",
    "Cedervej",
    "Chr. Winthersvej",
    "Clematisvej",
    "Cypresvej",
    "Cypresvænget",
    "Dalevej",
    "Dalgas Boulevard",
    "Dalsvinget",
    "Damvej",
    "Dronningensgade",
    "Dybdalsvej",
    "Dyrskuevej",
    "Egevej",
    "Egholmvej",
    "Ejstrupvej",
    "Ellevej",
    "Elmevej",
    "Enevej",
    "Engvej",
    "Eskebjergvej",
    "Fasanvej",
    "Fjordvej",
    "Fuglevangsvej",
    "Fuglevej",
    "Fuglsangsvej",
    "Fyrretræsvej",
    "Fyrrevej",
    "Fyrvej",
    "Gadekæret",
    "Galgebjergvej",
    "Gammel Kongevej",
    "Gartnervej",
    "Gl. Kongevej",
    "Granvej",
    "Havnevej",
    "Hedelundvej",
    "Hejrevej",
    "Hestehavevej",
    "Hovedgaden",
    "Højagervej",
    "Højvej",
    "Idrætsvej",
    "Ildervej",
    "Industrigade",
    "Industrivej",
    "Irisvej",
    "Islandsvej",
    "Jagtvej",
    "Jernbanegade",
    "Jernbanevej",
    "Jupitervej",
    "Jydevej",
    "Jægergårdsvej",
    "Jægervej",
    "Kastanievej",
    "Kirkegade",
    "Klostermarken",
    "Klostervej",
    "Kornmarken",
    "Kærbyvej",
    "Kærparken",
    "Kærvej",
    "Liljens Kvarter",
    "Liljevej",
    "Lindevej",
    "Lunden",
    "Lundevej",
    "Lyngvej",
    "Lærkevej",
    "Markvej",
    "Mosevej",
    "Munkevej",
    "Mågevej",
    "Mælkevejen",
    "Møllebækvej",
    "Møllegade",
    "Møllevænget",
    "Nedre Gade",
    "Nordre Strandvej",
    "Nordvestpassagen",
    "Nygade",
    "Nytorv",
    "Nyvej",
    "Nørrebrogade",
    "Nørregade",
    "Overgaden",
    "Parkvej",
    "Pilestræde",
    "Pilevej",
    "Plantagevej",
    "Poppelvej",
    "Præstegårdsvej",
    "Præstevænget",
    "Ravnevej",
    "Rosenhaven",
    "Rosenvej",
    "Rugårdsvej",
    "Ryttervej",
    "Rådhusvej",
    "Rævevej",
    "Skolegade",
    "Skolestræde",
    "Skolevej",
    "Skovbrynet",
    "Skovvej",
    "Slotsvej",
    "Solbakken",
    "Strandgade"
    // clang-format on,
    "Sydvej",
    "Sølvgade",
    "Søndergade",
    "Teglværksvej",
    "Tjørnevej",
    "Torvet",
    "Tranevej",
    "Trekanten",
    "Troldhøjvej",
    "Tulipanvej",
    "Tværgade",
    "Udsigten",
    "Udsigtsbakken",
    "Udsigtsvej",
    "Ullevej",
    "Ulstrupvej",
    "Ulvevej",
    "Uplandsvej",
    "Valmuevej",
    "Valnøddevej",
    "Vandtårnsvej",
    "Ved Stranden",
    "Vestergade",
    "Vestergårdsvej",
    "Vibevej",
    "Viborgvej",
    "Åbjergvej",
    "Åboulevarden",
    "Ådalsvej",
    "Ågade",
    "Åstrupvej",
    "Åvænget",
    "Ørnevej",
    "Østerbrogade",
    "Østergade",
    "Østervang",
    "Østre Alle",
    "Østre Stationsvej",
});

const std::string_view denmarkZipCodeFormat{"####"};

const auto denmarkAddressFormats =
    std::to_array<std::string_view>({
    "{street} {buildingNumber}",
    "{street} {buildingNumber} {secondaryAddress}",
});

const auto denmarkSecondaryAddressFormats = std::to_array<std::string_view>({
    "#. th",
    "#. tv",
});

const auto denmarkBuildingNumberFormats = std::to_array<std::string_view>({
    "#",
    "##",
    "###",
    "##A",
    "##B",
});

const auto denmarkStreetFormats = std::to_array<std::string_view>({
    "{streetName}",
});

const auto denmarkCityFormats = std::to_array<std::string_view>({
    "{cityName}",
});

const CountryAddressesInfo denmarkAddresses{
    denmarkZipCodeFormat,
    (denmarkAddressFormats),
    (denmarkSecondaryAddressFormats),
    (denmarkStreetFormats),
    {},
    (denmarkStreetNames),
    {},
    (denmarkBuildingNumberFormats),
    (denmarkCityFormats),
    {},
    (denmarkCities),
    {},
    (denmarkStates),
};

// Estonia

const auto estoniaCities = std::to_array<std::string_view>({
    "Kohtla-Järve",
    "Narva",
    "Pärnu",
    "Tallinn",
    "Tartu",
});

const auto estoniaStreetNames = std::to_array<std::string_view>({
    "Aleksandri",
    "Betooni",
    "Era",
    "Juhan Liivi",
    "K. A. Hermanni",
    "Kalevi",
    "Koore",
    "Kuubi",
    "Külmallika",
    "Laagna",
    "Lina",
    "Mustamäe",
    "Okka",
    "Pae",
    "Paepargi",
    "Peterburi",
    "Punane",
    "Sõpruse",
    "Tammi",
    "Tiigi",
    "Tiigi",
    "Tuisu",
    "Turu",
    "Tähe",
    "Tähe",
    "Vaba",
    "Valukoja",
    "Vanemuise",
    "Veski",
    "Õnne",
    "Õnne",
});

const auto estoniaStreetSuffixes = std::to_array<std::string_view>({
    "Allee",
    "Käik",
    "Plats",
    "Põik",
    "Tee",
    "Tänav",
    "tn",
});

const std::string_view estoniaZipCodeFormat{"#####"};

const auto estoniaAddressFormats = std::to_array<std::string_view>({
    "{street} {buildingNumber}",
});

const auto estoniaBuildingNumberFormats = std::to_array<std::string_view>({
    "#",
    "##",
    "###",
});

const auto estoniaStreetFormats = std::to_array<std::string_view>({
    "{streetName} {streetSuffix}",
});

const auto estoniaCityFormats = std::to_array<std::string_view>({
    "{cityName}",
});

const CountryAddressesInfo estoniaAddresses{
    estoniaZipCodeFormat,
    (estoniaAddressFormats),
    {},
    (estoniaStreetFormats),
    {},
    (estoniaStreetNames),
    (estoniaStreetSuffixes),
    (estoniaBuildingNumberFormats),
    (estoniaCityFormats),
    {},
    (estoniaCities),
    {},
    {},
};

// Finland

const auto finlandCities = std::to_array<std::string_view>({
    "Espoo",
    "Helsinki",
    "Hyvinkää",
    "Iisalmi",
    "Joensuu",
    "Jyväskylä",
    "Kokkola",
    "Kuopio",
    "Lahti",
    "Oulu",
    "Pori",
    "Porvoo",
    "Raisio",
    "Rovaniemi",
    "Sastamala",
    "Tampere",
    "Turku",
    "Vaasa",
    "Valkeakoski",
    "Vantaa",
});

const auto finlandStates = std::to_array<std::string_view>({
    "Ahvenanmaa",
    "Etelä-Karjala",
    "Etelä-Pohjanmaa",
    "Etelä-Savo",
    "Kainuu",
    "Kanta-Häme",
    "Keski-Pohjanmaa",
    "Keski-Suomi",
    "Kymenlaakso",
    "Lappi",
    "Pirkanmaa",
    "Pohjanmaa",
    "Pohjois-Karjala",
    "Pohjois-Pohjanmaa",
    "Pohjois-Savo",
    "Päijät-Häme",
    "Satakunta",
    "Uusimaa",
    "Varsinais-Suomi",
});

const auto finlandStreetSuffixes = std::to_array<std::string_view>({
    "kaari",
    "katu",
    "kuja",
    "linja",
    "penger",
    "polku",
    "raitti",
    "ranta",
    "rinne",
    "tie",
    "väylä",
});

const std::string_view finlandZipCodeFormat{"#####"};

const auto finlandAddressFormats =
    std::to_array<std::string_view>({
    "{street} {buildingNumber}",
    "{street} {buildingNumber} {secondaryAddress}",
});

const auto finlandSecondaryAddressFormats =
    std::to_array<std::string_view>({
    "A",
    "A #",
    "A ##",
    "B",
    "B #",
    "B ##",
    "C",
    "C #",
    "C ##",
});

const auto finlandBuildingNumberFormats = std::to_array<std::string_view>({
    "#",
    "##",
    "###",
});

const auto finlandStreetFormats =
    std::to_array<std::string_view>({
    "{firstName} {streetSuffix}",
    "{lastName} {streetSuffix}",
});

const auto finlandCityFormats = std::to_array<std::string_view>({
    "{cityName}",
});

const CountryAddressesInfo finlandAddresses{
    finlandZipCodeFormat,
    (finlandAddressFormats),
    (finlandSecondaryAddressFormats),
    (finlandStreetFormats),
    {},
    {},
    (finlandStreetSuffixes),
    (finlandBuildingNumberFormats),
    (finlandCityFormats),
    {},
    (finlandCities),
    {},
    (finlandStates),
};

// France

const auto franceCities = std::to_array<std::string_view>({
    // clang-format off
    "Abbeville",
    "Achères",
    "Agde",
    "Agen",
    "Aix-en-Provence",
    "Aix-les-Bains",
    "Ajaccio",
    "Albertville",
    "Albi",
    "Alençon",
    "Alfortville",
    "Alès",
    "Asnières-sur-Seine",
    "Athis-Mons",
    "Aubagne",
    "Aubenas",
    "Bron",
    "Bruay-la-Buissière",
    "Bruay-sur-l'Escaut",
    "Bruges",
    "Brunoy",
    "Bruz",
    "Bry-sur-Marne",
    "Bully-les-Mines",
    "Bussy-Saint-Georges",
    "Cabestany",
    "Cachan",
    "Caen",
    "Cagnes-sur-Mer",
    "Cahors",
    "Calais",
    "Caluire-et-Cuire",
    "Challans",
    "Chalon-sur-Saône",
    "Chamalières",
    "Chambray-lès-Tours",
    "Chambéry",
    "Champigny-sur-Marne",
    "Champs-sur-Marne",
    "Chanteloup-les-Vignes",
    "Chantilly",
    "Charenton-le-Pont",
    "Charleville-Mézières",
    "Chartres",
    "Chassieu",
    "Cholet",
    "Châlons-en-Champagne",
    "Château-Gontier-sur-Mayenne",
    "Château-Thierry",
    "Châteaubriant",
    "Clamart",
    "Claye-Souilly",
    "Clermont-Ferrand",
    "Clichy",
    "Dinan",
    "Dole",
    "Domont",
    "Douai",
    "Douarnenez",
    "Dourdan",
    "Doué-en-Anjou",
    "Draguignan",
    "Drancy",
    "Draveil",
    "Dreux",
    "Ducos",
    "Dugny",
    "Dumbéa",
    "Dunkerque",
    "Dzaoudzi",
    "Fontainebleau",
    "Fontenay-aux-Roses",
    "Fontenay-le-Comte",
    "Fontenay-le-Fleury",
    "Fontenay-sous-Bois",
    "Forbach",
    "Fort-de-France",
    "Fos-sur-Mer",
    "Fougères",
    "Fourmies",
    "Francheville",
    "Franconville",
    "Fresnes",
    "Freyming-Merlebach",
    "Frontignan",
    "Fréjus",
    "Gagny",
    "Gaillac",
    "Gaillard",
    "Gap",
    "Garches",
    "Gardanne",
    "Garges-lès-Gonesse",
    "Genas",
    "Gennevilliers",
    "Gentilly",
    "Gerzat",
    "Gex",
    "Gien",
    "Gif-sur-Yvette",
    "Houilles",
    "Hyères",
    "Héricourt",
    "Hérouville-Saint-Clair",
    "Hœnheim",
    "Ifs",
    "Illkirch-Graffenstaden",
    "Illzach",
    "Issoire",
    "Issoudun",
    "Issy-les-Moulineaux",
    "Istres",
    "Ivry-sur-Seine",
    "Jeumont",
    "Joinville-le-Pont",
    "Jouy-le-Moutier",
    "Joué-lès-Tours",
    "Juvignac",
    "Juvisy-sur-Orge",
    "Kingersheim",
    "Lanester",
    "Lannion",
    "Laon",
    "Lattes",
    "Laval",
    "Lavaur",
    "Libourne",
    "Lieusaint",
    "Lille",
    "Limay",
    "Limeil-Brévannes",
    "Limoges",
    "Lingolsheim",
    "Lisieux",
    "Livry-Gargan",
    "Liévin",
    "Lognes",
    "Loire-Authion",
    "Longjumeau",
    "Longuenesse",
    "Longwy",
    "Lons",
    "Lons-le-Saunier",
    "Loos",
    "Lorient",
    "Lormont",
    "Lourdes",
    "Louviers",
    "Louvres",
    "Lucé",
    "Lunel",
    "Lunéville",
    "Lyon",
    "Lys-lez-Lannoy",
    "Macouria",
    "Mahina",
    "Mainvilliers",
    "Maisons-Alfort",
    "Maisons-Laffitte",
    "Maizières-lès-Metz",
    "Malakoff",
    "Mamoudzou",
    "Mana",
    "Mandelieu-la-Napoule",
    "Manosque",
    "Mantes-la-Jolie",
    "Mantes-la-Ville",
    "Marck",
    "Marcq-en-Barœul",
    "Marignane",
    "Marly",
    "Marly-le-Roi",
    "Marmande",
    "Maromme",
    "Marquette-lez-Lille",
    "Marseille",
    "Martigues",
    "Massy",
    "Matoury",
    "Maubeuge",
    "Mauges-sur-Loire",
    "Mauguio",
    "Maurepas",
    "Mayenne",
    "Meaux",
    "Melun",
    "Mende",
    "Mennecy",
    "Menton",
    "Montauban",
    "Montbrison",
    "Montbéliard",
    "Montceau-les-Mines",
    "Montereau-Fault-Yonne",
    "Montesson",
    "Monteux",
    "Montélimar",
    "Moorea-Maiao",
    "Morangis",
    "Moret-Loing-et-Orvanne",
    "Morlaix",
    "Morne-à-l'Eau",
    "Morsang-sur-Orge",
    "Mougins",
    "Moulins",
    "Mouvaux",
    "Mulhouse",
    "Muret",
    "Mâcon",
    "Méricourt",
    "Nancy",
    "Ollioules",
    "Oloron-Sainte-Marie",
    "Onet-le-Château",
    "Orange",
    "Orly",
    "Orléans",
    "Ormesson-sur-Marne",
    "Orée d'Anjou",
    "Papeete",
    "Paris",
    "Passy",
    "Pau",
    "Pernes-les-Fontaines",
    "Perpignan",
    "Persan",
    "Pertuis",
    "Poitiers",
    "Pont-Saint-Esprit",
    "Pont-Sainte-Maxence",
    "Pont-du-Château",
    "Pont-à-Mousson",
    "Pontarlier",
    "Pontault-Combault",
    "Pontchâteau"
    // clang-format on,
    "Pélissanne",
    "Périgueux",
    "Remire-Montjoly",
    "Rennes",
    "Rezé",
    "Riedisheim",
    "Rillieux-la-Pape",
    "Royan",
    "Rueil-Malmaison",
    "Rumilly",
    "Sablé-sur-Sarthe",
    "Sada",
    "Saint-Amand-les-Eaux",
    "Saint-André",
    "Saint-André-de-Cubzac",
    "Saint-André-les-Vergers",
    "Saint-André-lez-Lille",
    "Saint-Avertin",
    "Saint-Avold",
    "Saint-Avé",
    "Sens",
    "Septèmes-les-Vallons",
    "Sevran",
    "Sète",
    "Tarnos",
    "Tassin-la-Demi-Lune",
    "Taverny",
    "Tergnier",
    "Thiais",
    "Thiers",
    "Thionville",
    "Thonon-les-Bains",
    "Thorigny-sur-Marne",
    "Thouars",
    "Thouaré-sur-Loire",
    "Tinqueux",
    "Torcy",
    "Toul",
    "Toulon",
    "Toulouse",
    "Tourcoing",
    "Tournefeuille",
    "Tournon-sur-Rhône",
    "Tours",
    "Trappes",
    "Tremblay-en-France",
    "Trets",
    "Triel-sur-Seine",
    "Troyes",
    "Trélazé",
    "Vauréal",
    "Vauvert",
    "Vaux-le-Pénil",
    "Vedène",
    "Villeurbanne",
    "Villiers-le-Bel",
    "Villiers-sur-Marne",
    "Vincennes",
    "Vire Normandie",
    "Viroflay",
    "Viry-Châtillon",
    "Vitrolles",
    "Vitry-le-François",
    "Vitry-sur-Seine",
    "Vitré",
    "Voiron",
    "Voisins-le-Bretonneux",
    "Vélizy-Villacoublay",
    "Wambrechies",
    "Wasquehal",
    "Wattignies",
    "Wattrelos",
    "Wittelsheim",
    "Wittenheim",
    "Woippy",
    "Yerres",
    "Yutz",
    "Yvetot",
});

const auto franceStates = std::to_array<std::string_view>({
    "Alsace",
    "Aquitaine",
    "Auvergne",
    "Basse-Normandie",
    "Bourgogne",
    "Bretagne",
    "Centre",
    "Champagne-Ardenne",
    "Corse",
    "Franche-Comté",
    "Haute-Normandie",
    "Languedoc-Roussillon",
    "Limousin",
    "Lorraine",
    "Midi-Pyrénées",
    "Nord-Pas-de-Calais",
    "Pays de la Loire",
    "Picardie",
    "Poitou-Charentes",
    "Provence-Alpes-Côte d\"Azur",
    "Rhône-Alpes",
    "Île-de-France",
});

const auto franceStreetPrefixes = std::to_array<std::string_view>(
    {"allée", "voie", "rue", "avenue", "boulevard", "quai", "passage", "impasse", "place", "chemin", "lotissement"});

const auto franceStreetSuffixes = std::to_array<std::string_view>(
    {"du Faubourg Saint-Honoré", "de Montmorency", "de Solférino", "de la Pompe", "de Rivoli", "de Paris",
     "du Faubourg-Saint-Denis",  "de la Huchette", "Saint-Honoré", "Pastourelle", "Oberkampf", "d'Alésia",
     "de la Chaussée-d'Antin",   "de la Bûcherie", "de Richelieu", "Montorgueil", "Delesseux", "Zadkine",
     "des Grands Augustins",     "des Saussaies",  "de Presbourg", "de la Harpe", "Bonaparte", "d'Orsel",
     "des Francs-Bourgeois",     "Saint-Séverin",  "des Lombards", "Charlemagne", "La Boétie", "Molière",
     "Monsieur-le-Prince",       "Saint-Jacques",  "de Caumartin", "de l'Abbaye", "de Seine",  "Joubert",
     "de la Ferronnerie",        "Saint-Bernard",  "d'Argenteuil", "de Tilsitt",  "de Nesle",  "d'Assas",
     "du Chat-qui-Pêche",        "des Panoramas",  "Saint-Denis",  "de la Paix",  "Marcadet",  "Vaneau",
     "Saint-Dominique",          "Adolphe Mille",  "d'Abbeville",  "de l'Odéon",  "Laffitte",  "Royale",
     "de la Victoire",           "de Vaugirard",   "des Rosiers",  "Mouffetard",  "du Havre",  "du Bac",
     "Pierre Charron",           "Du Sommerard",   "de Provence",  "du Dahomey",  "Dauphine",  "Lepic"});

const std::string_view franceZipCodeFormat{"#####"};

const auto franceAddressFormats = std::to_array<std::string_view>({
    "{buildingNumber} {street}",
});

const auto franceBuildingNumberFormats = std::to_array<std::string_view>({
    "#",
    "##",
    "###",
    "####",
});

const auto franceSecondaryAddressFormats = std::to_array<std::string_view>({
    "Apt. ###",
    "Étage #",
});

const auto franceStreetFormats = std::to_array<std::string_view>({
    "{streetPrefix} {streetSuffix}",
});

const auto franceCityFormats = std::to_array<std::string_view>({
    "{cityName}",
});

const CountryAddressesInfo franceAddresses{
    franceZipCodeFormat,
    (franceAddressFormats),
    (franceSecondaryAddressFormats),
    (franceStreetFormats),
    (franceStreetPrefixes),
    {},
    (franceStreetSuffixes),
    (franceBuildingNumberFormats),
    (franceCityFormats),
    {},
    (franceCities),
    {},
    (franceStates),
};

// Germany

const auto germanyCities = std::to_array<std::string_view>({
    // clang-format off
    "Aachen",
    "Aalen",
    "Ahlen",
    "Arnsberg",
    "Aschaffenburg",
    "Augsburg",
    "Bad Homburg vor der Höhe",
    "Bad Kreuznach",
    "Bad Oeynhausen",
    "Bad Salzuflen",
    "Baden-Baden",
    "Bamberg",
    "Bayreuth",
    "Bergheim",
    "Bergisch Gladbach",
    "Berlin",
    "Bielefeld",
    "Bocholt",
    "Bochum",
    "Bonn",
    "Bottrop",
    "Brandenburg an der Havel",
    "Braunschweig",
    "Bremen",
    "Bremerhaven",
    "Böblingen",
    "Castrop-Rauxel",
    "Celle",
    "Chemnitz",
    "Cottbus",
    "Darmstadt",
    "Delmenhorst",
    "Dessau-Roßlau",
    "Detmold",
    "Dinslaken",
    "Dormagen",
    "Dorsten",
    "Dortmund",
    "Dresden",
    "Duisburg",
    "Düren",
    "Düsseldorf",
    "Elmshorn",
    "Emden",
    "Erftstadt",
    "Erfurt",
    "Erlangen",
    "Eschweiler",
    "Essen",
    "Esslingen am Neckar",
    "Euskirchen",
    "Flensburg",
    "Frankfurt (Oder)",
    "Frankfurt am Main",
    "Frechen",
    "Freiburg im Breisgau",
    "Friedrichshafen",
    "Fulda",
    "Fürth",
    "Garbsen",
    "Gelsenkirchen",
    "Gera",
    "Gießen",
    "Gladbeck",
    "Goslar",
    "Greifswald",
    "Grevenbroich",
    "Gronau (Westf.)",
    "Gummersbach",
    "Göppingen",
    "Görlitz",
    "Göttingen",
    "Gütersloh",
    "Hagen",
    "Halle (Saale)",
    "Hamburg",
    "Hameln",
    "Hamm",
    "Hanau",
    "Hannover",
    "Hattingen",
    "Heidelberg",
    "Heidenheim an der Brenz",
    "Heilbronn",
    "Herford",
    "Herne",
    "Herten",
    "Hilden",
    "Hildesheim",
    "Hürth",
    "Ibbenbüren",
    "Ingolstadt",
    "Iserlohn",
    "Jena",
    "Kaiserslautern",
    "Karlsruhe",
    "Kassel",
    "Kempten (Allgäu)",
    "Kerpen",
    "Kiel",
    "Kleve",
    "Koblenz",
    "Konstanz",
    "Krefeld",
    "Köln",
    "Landshut",
    "Langenfeld (Rheinland)",
    "Langenhagen",
    "Leipzig",
    "Leonberg",
    "Leverkusen",
    "Lingen (Ems)",
    "Lippstadt",
    "Ludwigsburg",
    "Ludwigshafen am Rhein",
    "Lörrach",
    "Lübeck",
    "Lüdenscheid",
    "Lüneburg",
    "Lünen",
    "Magdeburg",
    "Mainz",
    "Mannheim",
    "Marburg",
    "Marl",
    "Meerbusch",
    "Menden (Sauerland)",
    "Minden",
    "Moers",
    "Mönchengladbach",
    "Mülheim an der Ruhr",
    "München",
    "Münster",
    "Neu-Ulm",
    "Neubrandenburg",
    "Neumünster",
    "Neuss",
    "Neustadt an der Weinstraße",
    "Neuwied",
    "Norderstedt",
    "Nordhorn",
    "Nürnberg",
    "Oberhausen",
    "Offenbach am Main",
    "Offenburg",
    "Oldenburg (Oldenburg)",
    "Osnabrück",
    "Paderborn",
    "Passau",
    "Peine",
    "Pforzheim",
    "Plauen",
    "Potsdam",
    "Pulheim",
    "Rastatt",
    "Ratingen",
    "Ravensburg",
    "Recklinghausen",
    "Regensburg",
    "Remscheid",
    "Reutlingen",
    "Rheine",
    "Rosenheim",
    "Rostock",
    "Rüsselsheim am Main",
    "Saarbrücken",
    "Salzgitter",
    "Sankt Augustin",
    "Schweinfurt",
    "Schwerin",
    "Schwäbisch Gmünd",
    "Siegen",
    "Sindelfingen",
    "Solingen",
    "Speyer",
    "Stolberg (Rheinland)",
    "Stralsund",
    "Stuttgart",
    "Trier",
    "Troisdorf",
    "Tübingen",
    "Ulm",
    "Unna",
    "Velbert",
    "Viersen",
    "Villingen-Schwenningen",
    "Waiblingen",
    "Weimar",
    "Wesel",
    "Wetzlar",
    "Wiesbaden",
    "Wilhelmshaven",
    "Willich",
    "Witten",
    "Wolfenbüttel",
    "Wolfsburg",
    "Worms",
    "Wuppertal",
    "Würzburg",
    "Zwickau"
    // clang-format on,
});

const auto germanyStates = std::to_array<std::string_view>({
    // clang-format off
    "Baden-Württemberg",
    "Bayern",
    "Berlin",
    "Brandenburg",
    "Bremen",
    "Hamburg",
    "Hessen",
    "Mecklenburg-Vorpommern",
    "Niedersachsen",
    "Nordrhein-Westfalen",
    "Rheinland-Pfalz",
    "Saarland",
    "Sachsen",
    "Sachsen-Anhalt",
    "Schleswig-Holstein",
    "Thüringen"
    // clang-format on,
});

const auto germanyStreetNames = std::to_array<std::string_view>({
    // clang-format off
    "Ackerweg",
    "Adalbert-Stifter-Str.",
    "Brandenburger Str.",
    "Breidenbachstr.",
    "Breslauer Str.",
    "Bruchhauser Str.",
    "Brucknerstr.",
    "Brückenstr.",
    "Brüder-Bonhoeffer-Str.",
    "Buchenweg",
    "Burgloch",
    "Burgplatz",
    "Burgstr.",
    "Burgweg",
    "Burscheider Str.",
    "Buschkämpchen",
    "Butterheider Str.",
    "Bürgerbuschweg",
    "Bürriger Weg",
    "Carl-Duisberg-Platz",
    "Carl-Duisberg-Str.",
    "Carl-Leverkus-Str.",
    "Carl-Maria-von-Weber-Platz",
    "Cranachstr.",
    "Dahlemer Str.",
    "Daimlerstr.",
    "Damaschkestr.",
    "Danziger Str.",
    "Debengasse",
    "Dechant-Fein-Str.",
    "Dechant-Krey-Str.",
    "Deichtorstr.",
    "Dhünnberg",
    "Dhünnstr.",
    "Dianastr.",
    "Diedenhofener Str.",
    "Diepental",
    "Diepenthaler Str.",
    "Dieselstr.",
    "Dillinger Str.",
    "Distelkamp",
    "Dohrgasse",
    "Domblick",
    "Dornierstr.",
    "Dr.-August-Blank-Str.",
    "Drachenfelsstr.",
    "Dresdener Str.",
    "Driescher Hecke",
    "Dönhoffstr.",
    "Emil-Fischer-Str.",
    "Emil-Nolde-Str.",
    "Engelbertstr.",
    "Engstenberger Weg",
    "Entenpfuhl",
    "Erbelegasse",
    "Erftstr.",
    "Erfurter Str.",
    "Fichtenweg",
    "Fichtestr.",
    "Finkelsteinstr.",
    "Finkenweg",
    "Fixheider Str.",
    "Flabbenhäuschen",
    "Flensburger Str.",
    "Fliederweg",
    "Florastr.",
    "Florianweg",
    "Flotowstr.",
    "Flurstr.",
    "Fontanestr.",
    "Forellental",
    "Fortunastr.",
    "Friedrich-Naumann-Str.",
    "Friedrich-Sertürner-Str.",
    "Friedrich-Weskott-Str.",
    "Friedrichstr.",
    "Föhrenweg",
    "Graebestr.",
    "Graf-Galen-Platz",
    "Gregor-Mendel-Str.",
    "Greifswalder Str.",
    "Grillenweg",
    "Gronenborner Weg",
    "Große Kirchstr.",
    "Grunder Wiesen",
    "Grundermühle",
    "Grundermühlenhof",
    "Grundermühlenweg",
    "Grunewaldstr.",
    "Grüner Weg",
    "Grünstr.",
    "Gustav-Freytag-Str.",
    "Gustav-Heinemann-Str.",
    "Gustav-Radbruch-Str.",
    "Gut Reuschenberg",
    "Görlitzer Str.",
    "Görresstr.",
    "Günther-Weisenborn-Str.",
    "Hannah-Höch-Str.",
    "Hans-Arp-Str.",
    "Heckenweg",
    "Heerweg",
    "Hegelstr.",
    "Heidberg",
    "Heidehöhe",
    "Heidestr.",
    "Heimstättenweg",
    "Jenaer Str.",
    "Johann-Janssen-Str.",
    "Johann-Wirtz-Weg",
    "Johannes-Baptist-Str.",
    "Johannes-Dott-Str.",
    "Johannes-Popitz-Str.",
    "Johannes-Wislicenus-Str.",
    "Johannisburger Str.",
    "Josefstr.",
    "Julius-Doms-Str.",
    "Julius-Leber-Str.",
    "Jüch",
    "Kaiser-Wilhelm-Allee",
    "Kaiserplatz",
    "Kaiserstr.",
    "Kalkstr.",
    "Kamptalweg",
    "Kanalstr.",
    "Kandinskystr.",
    "Kantstr.",
    "Kocherstr.",
    "Kockelsberg",
    "Kolberger Str.",
    "Kolmarer Str.",
    "Kurt-Schumacher-Ring",
    "Kyllstr.",
    "Kämpchenstr.",
    "Kämpenwiese",
    "Kämper Weg",
    "Kölner Gasse",
    "Kölner Str.",
    "Langenfelder Str.",
    "Legienstr.",
    "Lehner Mühle",
    "Leichlinger Str.",
    "Längsleimbach",
    "Lärchenweg",
    "Mauspfad",
    "Max-Beckmann-Str.",
    "Max-Delbrück-Str.",
    "Max-Ernst-Str.",
    "Max-Holthausen-Platz",
    "Max-Horkheimer-Str.",
    "Max-Liebermann-Str.",
    "Max-Pechstein-Str.",
    "Max-Planck-Str.",
    "Max-Scheler-Str.",
    "Max-Schönenberg-Str.",
    "Maybachstr.",
    "Meckhofer Feld",
    "Meisenweg",
    "Memelstr.",
    "Muldestr.",
    "Myliusstr.",
    "Mülhausener Str.",
    "Mülheimer Str.",
    "Münsters Gäßchen",
    "Münzstr.",
    "Müritzstr.",
    "Nachtigallenweg",
    "Nauener Str.",
    "Ober dem Hof",
    "Obere Lindenstr.",
    "Obere Str.",
    "Oberölbach",
    "Odenthaler Str.",
    "Oderstr.",
    "Okerstr.",
    "Olof-Palme-Str.",
    "Ophovener Str.",
    "Opladener Platz",
    "Parkstr.",
    "Pastor-Louis-Str.",
    "Pastor-Scheibler-Str.",
    "Pastorskamp",
    "Paul-Klee-Str.",
    "Paul-Löbe-Str.",
    "Paulstr.",
    "Peenestr.",
    "Pescher Busch",
    "Peschstr.",
    "Pestalozzistr.",
    "Peter-Grieß-Str.",
    "Peter-Joseph-Lenné-Str.",
    "Pregelstr.",
    "Prießnitzstr.",
    "Pützdelle",
    "Quarzstr.",
    "Quettinger Str.",
    "Rat-Deycks-Str.",
    "Rathenaustr.",
    "Ratherkämp",
    "Ratiborer Str.",
    "Raushofstr.",
    "Regensburger Str.",
    "Reinickendorfer Str.",
    "Renkgasse"
    // clang-format on,
    "Rennbaumplatz",
    "Rennbaumstr.",
    "Reuschenberger Str.",
    "Roonstr.",
    "Ropenstall",
    "Ropenstaller Weg",
    "Rosenthal",
    "Rostocker Str.",
    "Rotdornweg",
    "Rudolf-Breitscheid-Str.",
    "Rudolf-Mann-Platz",
    "Rudolf-Stracke-Str.",
    "Ruhlachplatz",
    "Röntgenstr.",
    "Röttgerweg",
    "Rückertstr.",
    "Steinweg",
    "Stephan-Lochner-Str.",
    "Stephanusstr.",
    "Stettiner Str.",
    "Stixchesstr.",
    "Stralsunder Str.",
    "Straßburger Str.",
    "Stresemannplatz",
    "Stöckenstr.",
    "Uhlandstr.",
    "Ulmenweg",
    "Ulmer Str.",
    "Ulrich-von-Hassell-Str.",
    "Ulrichstr.",
    "Umlag",
    "Unstrutstr.",
    "Unter dem Schildchen",
    "Unterstr.",
    "Unterölbach",
    "Uppersberg",
    "Van't-Hoff-Str.",
    "Veit-Stoß-Str.",
    "Vereinsstr.",
    "Viktor-Meyer-Str.",
    "Vincent-van-Gogh-Str.",
    "Virchowstr.",
    "Voigtslach",
    "Weizkamp",
    "Werftstr.",
    "Werkstättenstr.",
    "Werner-Heisenberg-Str.",
    "Werrastr.",
    "Weyerweg",
    "Widdauener Str.",
    "Wiebertshof",
    "Wiehbachtal",
    "Wiembachallee",
    "Wiesdorfer Platz",
    "Wiesenstr.",
    "Wilhelm-Busch-Str.",
    "Zauberkuhle",
    "Zedernweg",
    "Zehlendorfer Str.",
    "Zehntenweg",
    "Zeisigweg",
    "Zeppelinstr.",
    "Zschopaustr.",
    "Zum Claashäuschen",
    "Zur Alten Brauerei",
    "Zur alten Fabrik",
    "Zündhütchenweg",
});

const std::string_view germanyZipCodeFormat{"#####"};

const auto germanyAddressFormats =
    std::to_array<std::string_view>({
    "{street} {buildingNumber}",
    "{street} {buildingNumber} {secondaryAddress}",
});

const auto germanySecondaryAddressFormats = std::to_array<std::string_view>({
    "# OG",
    "Apt. ###",
    "Zimmer ###",
});

const auto germanyBuildingNumberFormats = std::to_array<std::string_view>({
    "#",
    "##",
    "###",
    "##a",
    "##b",
    "##c",
});

const auto germanyStreetFormats = std::to_array<std::string_view>({
    "{streetName}",
});

const auto germanyCityFormats = std::to_array<std::string_view>({
    "{cityName}",
});

const CountryAddressesInfo germanyAddresses{
    germanyZipCodeFormat,
    (germanyAddressFormats),
    (germanySecondaryAddressFormats),
    (germanyStreetFormats),
    {},
    (germanyStreetNames),
    {},
    (germanyBuildingNumberFormats),
    (germanyCityFormats),
    {},
    (germanyCities),
    {},
    (germanyStates),
};

// India

const auto indiaCities = std::to_array<std::string_view>({
    // clang-format off
    "Achalpur",
    "Achhnera",
    "Adalaj",
    "Adilabad",
    "Adityapur",
    "Adoni",
    "Adoor",
    "Adra",
    "Adyar",
    "Ankleshwar",
    "Arakkonam",
    "Arambagh",
    "Araria",
    "Arrah",
    "Arsikere",
    "Aruppukkottai",
    "Arvi",
    "Arwal",
    "Asansol",
    "Asarganj",
    "Ashok Nagar",
    "Athni",
    "Dalli-Rajhara",
    "Darbhanga",
    "Darjiling",
    "Imphal",
    "Indore",
    "Itarsi",
    "Jharsuguda",
    "Kodungallur",
    "Kohima",
    "Kolar",
    "Kolkata",
    "Ladwa",
    "Lahar",
    "Laharpur",
    "Lakheri",
    "Lakhimpur",
    "Lakhisarai",
    "Lakshmeshwar",
    "Lal Gopalganj Nindaura",
    "Lalganj",
    "Lalgudi",
    "Lalitpur",
    "Lalsot",
    "Lanka",
    "Lar",
    "Madikeri",
    "Madurai",
    "Magadi",
    "Mahad",
    "Mahalingapura",
    "Maharajganj",
    "Maharajpur",
    "Mahasamund",
    "Mahbubnagar",
    "Mahe",
    "Mahemdabad",
    "Mahendragarh",
    "Mahesana",
    "Mahidpur",
    "Mahnar Bazar",
    "Mahuva",
    "Maihar",
    "Narkhed",
    "Nokha",
    "Paradip",
    "Paramakudi",
    "Parangipettai",
    "Parasi",
    "Paravoor",
    "Parbhani",
    "Pardi",
    "Parlakhemundi",
    "Parli",
    "Partur",
    "Parvathipuram",
    "Pasan",
    "Pauni",
    "Pauri",
    "Pavagada",
    "Pedana",
    "Peddapuram",
    "Pulgaon",
    "Puliyankudi",
    "Punalur",
    "Punch",
    "Raghunathganj",
    "Raghunathpur",
    "Rahatgarh",
    "Rahuri",
    "Raiganj",
    "Raigarh",
    "Raikot",
    "Raipur",
    "Rehli",
    "Renigunta",
    "Renukoot",
    "Reoti",
    "Repalle",
    "Revelganj",
    "Rewa",
    "Rewari",
    "Rishikesh",
    "Risod",
    "Robertsganj",
    "Robertson Pet",
    "Rohtak",
    "Ron",
    "Roorkee",
    "Rosera",
    "Rudauli",
    "Rudrapur",
    "Rupnagar",
    "Sabalgarh",
    "Salaya",
    "Salem",
    "Salur",
    "Samalkha",
    "Samalkot",
    "Samana",
    "Samastipur",
    "Sambalpur",
    "Sambhal",
    "Sambhar",
    "Samdhan",
    "Samthar",
    "Sanand",
    "Sardhana",
    "Sarni",
    "Sarsod",
    "Sasaram",
    "Sasvad",
    "Satana",
    "Satara",
    "Sathyamangalam",
    "Satna",
    "Sattenapalle",
    "Sattur",
    "Saunda",
    "Saundatti-Yellamma",
    "Sausar",
    "Savanur",
    "Savarkundla",
    "Savner",
    "Sawai Madhopur",
    "Sawantwadi",
    "Sedam",
    "Sherghati",
    "Sherkot",
    "Shiggaon",
    "Shikaripur",
    "Shikarpur Bulandshahr",
    "Shikohabad",
    "Shillong",
    "Shimla",
    "Shirdi",
    "Shirpur-Warwade",
    "Shirur",
    "Shishgarh",
    "Sindagi",
    "Sindhagi",
    "Sindhnur",
    "Singrauli",
    "Sinnar",
    "Sira",
    "Sircilla",
    "Sirhind Fatehgarh Sahib"
    // clang-format on,
    "Sirkali",
    "Sirohi",
    "Sironj",
    "Sirsa",
    "Sirsaganj",
    "Sirsi",
    "Siruguppa",
    "Sitamarhi",
    "Sitapur",
    "Sitarganj",
    "Sivaganga",
    "Sivagiri",
    "Sivakasi",
    "Sundargarh",
    "Sundarnagar",
    "Supaul",
    "Surandai",
    "Surapura",
    "Surat",
    "Suratgarh",
    "Tarana",
    "Taranagar",
    "Taraori",
    "Tarbha",
    "Tarikere",
    "Tarn Taran",
    "Tasgaon",
    "Tehri",
    "Tekkalakote",
    "Tenali",
    "Tenkasi",
    "Tenu dam-cum-Kathhara",
    "Terdal",
    "Tezpur",
    "Thakurdwara",
    "Thammampatti",
    "Thana Bhawan",
    "Thrissur",
    "Thuraiyur",
    "Tikamgarh",
    "Tilda Newra",
    "Tilhar",
    "Tindivanam",
    "Tinsukia",
    "Tiptur",
    "Tirora",
    "Tiruchendur",
    "Tiruchengode",
    "Tiruchirappalli",
    "Warisaliganj",
    "Warora",
    "Warud",
    "Zunheboto",
});

const auto indiaStates = std::to_array<std::string_view>({
    // clang-format off
    "Andaman and Nicobar Islands",
    "Andra Pradesh",
    "Arunachal Pradesh",
    "Assam",
    "Bihar",
    "Chandigarh",
    "Chhattisgarh",
    "Dadar and Nagar Haveli",
    "Daman and Diu",
    "Delhi",
    "Goa",
    "Gujarat",
    "Haryana",
    "Himachal Pradesh",
    "Jammu and Kashmir",
    "Jharkhand",
    "Karnataka",
    "Kerala",
    "Lakshadweep",
    "Madya Pradesh",
    "Maharashtra",
    "Manipur",
    "Meghalaya",
    "Mizoram",
    "Nagaland",
    "Odisha",
    "Pondicherr",
    "Punjab",
    "Rajasthan",
    "Sikkim",
    "Tamil Nadu",
    "Telangana",
    "Tripura",
    "Uttar Pradesh",
    "Uttarakhand",
    "West Bengal"
    // clang-format on,
});

const auto indiaStreetSuffixes = std::to_array<std::string_view>({
    "Abad",
    "Athani",
    "Brooks",
    "Cheri",
    "Cove",
    "Crossing",
    "Falls",
    "Gaon",
    "Halli",
    "Hollow",
    "Junction",
    "Nagar",
    "Nagara",
    "Ong",
    "Oor",
    "Padra",
    "Palle",
    "Park",
    "Parkway",
    "Patti",
    "Plains",
    "Points",
    "Pur",
    "Pura",
    "Puram",
    "Puri",
    "Radial",
    "Rapids",
    "Ridges",
    "Road",
    "Skyway",
    "Street",
    "Theru",
    "Uru",
    "Wadi",
});

const std::string_view indiaZipCodeFormat{"######"};

const auto indiaAddressFormats = std::to_array<std::string_view>({
    "{buildingNumber} {street}",
});

const auto indiaSecondaryAddressFormats = std::to_array<std::string_view>({
    "Apt. ###",
    "Flat ###",
});

const auto indiaBuildingNumberFormats = std::to_array<std::string_view>({
    "###",
    "####",
    "#####",
});

const auto indiaStreetFormats =
    std::to_array<std::string_view>({
    "{firstName} {streetSuffix}",
    "{lastName} {streetSuffix}",
});

const auto indiaCityFormats = std::to_array<std::string_view>({
    "{cityName}",
});

const CountryAddressesInfo indiaAddresses{
    indiaZipCodeFormat,
    (indiaAddressFormats),
    (indiaSecondaryAddressFormats),
    (indiaStreetFormats),
    {},
    {},
    (indiaStreetSuffixes),
    (indiaBuildingNumberFormats),
    (indiaCityFormats),
    {},
    (indiaCities),
    {},
    (indiaStates),
};

// Italy

const auto italyCities = std::to_array<std::string_view>({
    // clang-format off
    "Agliè",
    "Acquafredda",
    "Agliana",
    "Airole",
    "Albino",
    "Albugnano",
    "Allein",
    "Altissimo",
    "Alto",
    "Andalo",
    "Andezeno",
    "Ardesio",
    "Argelato",
    "Arnasco",
    "Artogne",
    "Avise",
    "Azzanello",
    "Baceno",
    "Bajardo",
    "Balocco",
    "Balzola",
    "Barbania",
    "Barbata",
    "Barge",
    "Barlassina",
    "Barni",
    "Barzago",
    "Benevello",
    "Berlingo",
    "Bettona",
    "Biandrate",
    "Bieno",
    "Bientina",
    "Bioglio",
    "Bogliasco",
    "Bognanco",
    "Bomporto",
    "Bormida",
    "Bosia",
    "Bosio",
    "Bossico",
    "Botticino",
    "Breganze",
    "Bregnano",
    "Breno",
    "Brescello",
    "Briona",
    "Briosco",
    "Brissogne",
    "Brondello",
    "Brosso",
    "Brugnera",
    "Brumano",
    "Bruno",
    "Bucine",
    "Bulciago",
    "Buriasco",
    "Cabiate",
    "Caldes",
    "Caltrano",
    "Caluso",
    "Calvisano",
    "Camburzano",
    "Campagnatico",
    "Campertogno",
    "Camugnano",
    "Canelli",
    "Canosio",
    "Cantoira",
    "Capannori",
    "Capergnanica",
    "Capizzone",
    "Capoliveri",
    "Caprezzo",
    "Capriana",
    "Carbonate",
    "Carezzano",
    "Carmagnola",
    "Cartignano",
    "Casalromano",
    "Casasco",
    "Casatenovo",
    "Cascina",
    "Casier",
    "Castegnero",
    "Castelcovati",
    "Castell'Alfero",
    "Castellarano",
    "Castellaro",
    "Castelleone",
    "Castino",
    "Cavareno",
    "Cavargna",
    "Cavarzere",
    "Cavour",
    "Cellatica",
    "Cereseto",
    "Cerete",
    "Ceriale",
    "Cerrione",
    "Cervatto",
    "Cervere",
    "Cesena",
    "Chamois",
    "Chiaverano",
    "Chiusavecchia",
    "Ciconio",
    "Cigole",
    "Cis",
    "Claut",
    "Clavesana",
    "Coazze",
    "Coazzolo",
    "Codogno",
    "Codognè",
    "Cogne",
    "Collazzone",
    "Cologne",
    "Colzate",
    "Comacchio",
    "Comano",
    "Comeglians",
    "Comignago",
    "Commessaggio",
    "Concorezzo",
    "Conselice",
    "Cortazzone",
    "Cravagliana",
    "Creazzo",
    "Crema",
    "Cremeno",
    "Crodo",
    "Cumiana",
    "Cusio",
    "Dambel",
    "Demonte",
    "Dernice",
    "Dizzasco",
    "Dolcedo",
    "Donato",
    "Edolo",
    "Empoli",
    "Enemonzo",
    "Envie",
    "Eraclea",
    "Erve",
    "Etroubles",
    "Faloppio",
    "Fanano",
    "Feletto",
    "Fierozzo",
    "Fiesco",
    "Fontanafredda",
    "Fontanelice",
    "Fontanella",
    "Fontanelle",
    "Fontanile",
    "Formigliana",
    "Frassino",
    "Front",
    "Frugarolo",
    "Galgagnano",
    "Galliate",
    "Gallio",
    "Gambara",
    "Gandosso",
    "Gattatico",
    "Gavorrano",
    "Gemmano",
    "Ghiffa",
    "Giarole",
    "Giaveno",
    "Giustenice",
    "Giustino",
    "Gonzaga",
    "Gorno",
    "Gorzegno",
    "Gosaldo",
    "Gottolengo",
    "Gressan",
    "Grimacco",
    "Grontardo",
    "Grugliasco",
    "Guanzate",
    "Gubbio",
    "Impruneta",
    "Invorio",
    "Isasca",
    "Iseo",
    "Issime",
    "Lallio",
    "Lamporo",
    "Lasnigo",
    "Lauriano",
    "Lavis",
    "Lerma",
    "Lesmo",
    "Lessona",
    "Locana",
    "Lograto",
    "Longare",
    "Loria",
    "Lucignano",
    "Luisago",
    "Lusigliè",
    "Maccastorna",
    "Maclodio",
    "Macra",
    "Macugnaga",
    "Magnano",
    "Mallare",
    "Manerbio",
    "Maranello",
    "Maretto",
    "Marmirolo",
    "Marmora",
    "Martellago",
    "Martinengo",
    "Marzabotto",
    "Massarosa",
    "Massimeno",
    "Mathi",
    "Meleti",
    "Merate",
    "Mezzolombardo",
    "Mezzomerico",
    "Miazzina",
    "Milzano",
    "Modigliana",
    "Molare",
    "Moltrasio",
    "Mompantero",
    "Monale",
    "Moncrivello",
    "Monfalcone",
    "Montaldeo",
    "Montale",
    "Montanera",
    "Montebelluna",
    "Montefiorino",
    "Montegaldella",
    "Montemurlo",
    "Monteriggioni",
    "Montescudaio",
    "Montignoso",
    "Montodine",
    "Morgex",
    "Mornese",
    "Mortegliano",
    "Morterone",
    "Mottalciata",
    "Mozzo",
    "Murello",
    "Muscoline",
    "Musso",
    "Nasino",
    "Nichelino",
    "Nogaredo",
    "Norcia"
    // clang-format on,
    "Nosate",
    "Novalesa",
    "Nucetto",
    "Odolo",
    "Omegna",
    "Orgiano",
    "Ospedaletti",
    "Ospitaletto",
    "Ostiglia",
    "Ottiglio",
    "Oulx",
    "Paese",
    "Pagazzano",
    "Pagnacco",
    "Pagno",
    "Pagnona",
    "Palanzano",
    "Pallare",
    "Pandino",
    "Pantigliate",
    "Parzanica",
    "Passirano",
    "Pasturana",
    "Pelago",
    "Pennabilli",
    "Perrero",
    "Peveragno",
    "Pianiga",
    "Piazzatorre",
    "Piedicavallo",
    "Pietrasanta",
    "Pigra",
    "Pila",
    "Pinerolo",
    "Pinzolo",
    "Piombino",
    "Pisano",
    "Pitigliano",
    "Pocapaglia",
    "Poggibonsi",
    "Polinago",
    "Pomaretto",
    "Ponsacco",
    "Pontebba",
    "Pontedassio",
    "Porcia",
    "Poviglio",
    "Pradalunga",
    "Pramollo",
    "Prasco",
    "Pray",
    "Preganziol",
    "Premana",
    "Premariacco",
    "Premia",
    "Pusiano",
    "Quaranti",
    "Quassolo",
    "Quistello",
    "Ranica",
    "Rassa",
    "Ravascletto",
    "Rescaldina",
    "Retorbido",
    "Revello",
    "Ricengo",
    "Rigolato",
    "Rivara",
    "Rivarone",
    "Roana",
    "Robilante",
    "Roccavignale",
    "Roddi",
    "Rondissone",
    "Rosasco",
    "Rossa",
    "Rovetta",
    "Rueglio",
    "Sabbioneta",
    "Saliceto",
    "Saludecio",
    "Sanfrè",
    "Sanremo",
    "Santena",
    "Santorso",
    "Sappada",
    "Sarmede",
    "Sarsina",
    "Scopa",
    "Scurzolengo",
    "Sedegliano",
    "Sedriano",
    "Selvino",
    "Sestola",
    "Signa",
    "Sillavengo",
    "Sinalunga",
    "Sinio",
    "Sirtori",
    "Solagna",
    "Solero",
    "Sommo",
    "Sordio",
    "Soresina",
    "Sospirolo",
    "Sovere",
    "Sparone",
    "Spilimbergo",
    "Spinea",
    "Stellanello",
    "Stelvio",
    "Taleggio",
    "Talmassons",
    "Terdobbiate",
    "Terenzo",
    "Terruggia",
    "Tigliole",
    "Tirolo",
    "Toano",
    "Tollegno",
    "Tornata",
    "Torreano",
    "Trasquera",
    "Treiso",
    "Tresignana",
    "Tribiano",
    "Triora",
    "Trisobbio",
    "Trissino",
    "Turriaco",
    "Usseaux",
    "Uzzano",
    "Valbondione",
    "Valbrenta",
    "Valduggia",
    "Valmadrera",
    "Valsamoggia",
    "Valtorta",
    "Vandoies",
    "Varisella",
    "Varmo",
    "Varsi",
    "Vedelago",
    "Venasca",
    "Vendone",
    "Verrone",
    "Vessalico",
    "Viadana",
    "Viadanica",
    "Viale",
    "Vicopisano",
    "Vidigulfo",
    "Vidracco",
    "Vignate",
    "Vignolo",
    "Villalvernia",
    "Villaverla",
    "Vinovo",
    "Vinzaglio",
    "Vipiteno",
    "Vocca",
    "Voltido",
    "Volvera",
    "Zerbo",
    "Zeri",
    "Zogno",
});

const auto italyStates = std::to_array<std::string_view>({
    // clang-format off
    "Agrigento",
    "Alessandria",
    "Ancona",
    "Aosta",
    "Arezzo",
    "Ascoli Piceno",
    "Asti",
    "Avellino",
    "Bari",
    "Barletta-Andria-Trani",
    "Belluno",
    "Benevento",
    "Bergamo",
    "Biella",
    "Bologna",
    "Bolzano",
    "Brescia",
    "Brindisi",
    "Cagliari",
    "Caltanissetta",
    "Campobasso",
    "Carbonia-Iglesias",
    "Caserta",
    "Catania",
    "Catanzaro",
    "Chieti",
    "Como",
    "Cosenza",
    "Cremona",
    "Crotone",
    "Cuneo",
    "Enna",
    "Fermo",
    "Ferrara",
    "Firenze",
    "Foggia",
    "Forlì-Cesena",
    "Frosinone",
    "Genova",
    "Gorizia",
    "Grosseto",
    "Imperia",
    "Isernia",
    "L \'Aquila",
    "La Spezia",
    "Latina",
    "Lecce",
    "Lecco",
    "Livorno",
    "Lodi",
    "Lucca",
    "Macerata",
    "Mantova",
    "Massa-Carrara",
    "Matera",
    "Medio Campidano",
    "Messina",
    "Milano",
    "Modena",
    "Monza e della Brianza",
    "Napoli",
    "Novara",
    "Nuoro",
    "Ogliastra",
    "Olbia-Tempio",
    "Oristano",
    "Padova",
    "Palermo",
    "Parma",
    "Pavia",
    "Perugia",
    "Pesaro e Urbino",
    "Pescara",
    "Piacenza",
    "Pisa",
    "Pistoia",
    "Pordenone",
    "Potenza",
    "Prato",
    "Ragusa",
    "Ravenna",
    "Reggio Calabria",
    "Reggio Emilia",
    "Rieti",
    "Rimini",
    "Roma"
    // clang-format on,
    "Rovigo",
    "Salerno",
    "Sassari",
    "Savona",
    "Siena",
    "Siracusa",
    "Sondrio",
    "Taranto",
    "Teramo",
    "Terni",
    "Torino",
    "Trapani",
    "Trento",
    "Treviso",
    "Trieste",
    "Udine",
    "Varese",
    "Venezia",
    "Verbano-Cusio-Ossola",
    "Vercelli",
    "Verona",
    "Vibo Valentia",
    "Vicenza",
    "Viterbo",
});

const auto italyStreetPrefixes = std::to_array<std::string_view>({
    "Borgo",
    "Contrada",
    "Incrocio",
    "Piazza",
    "Rotonda",
    "Strada",
    "Via",
});

const std::string_view italyZipCodeFormat{"#####"};

const auto italyAddressFormats =
    std::to_array<std::string_view>({
    "{street} {buildingNumber}",
    "{street} {buildingNumber} {secondaryAddress}",
});

const auto italySecondaryAddressFormats = std::to_array<std::string_view>({
    "Appartamento ##",
    "Piano #",
});

const auto italyBuildingNumberFormats = std::to_array<std::string_view>({
    "#",
    "##",
    "###",
});

const auto italyStreetFormats =
    std::to_array<std::string_view>({
    "{streetPrefix} {firstName}",
    "{streetPrefix} {lastName}",
});

const auto italyCityFormats = std::to_array<std::string_view>({
    "{cityName}",
});

const CountryAddressesInfo italyAddresses{
    italyZipCodeFormat,
    (italyAddressFormats),
    (italySecondaryAddressFormats),
    (italyStreetFormats),
    (italyStreetPrefixes),
    {},
    {},
    (italyBuildingNumberFormats),
    (italyCityFormats),
    {},
    (italyCities),
    {},
    (italyStates),
};

// Poland

const auto polandCities = std::to_array<std::string_view>({
    // clang-format off
    "Aleksandrów Kujawski",
    "Bierutów",
    "Bieżuń",
    "Biskupiec",
    "Bisztynek",
    "Biłgoraj",
    "Blachownia",
    "Bobolice",
    "Bobowa",
    "Bochnia",
    "Bodzanów",
    "Bodzentyn",
    "Bogatynia",
    "Boguchwała",
    "Boguszów-Gorce",
    "Bojanowo",
    "Bolesławiec",
    "Bolimów",
    "Bychawa",
    "Byczyna",
    "Bydgoszcz",
    "Bystrzyca Kłodzka",
    "Bytom",
    "Bytom Odrzański",
    "Bytów",
    "Błaszki",
    "Błażowa",
    "Błonie",
    "Cedynia",
    "Cegłów",
    "Chełm",
    "Choroszcz",
    "Chorzele",
    "Chorzów",
    "Choszczno",
    "Chrzanów",
    "Ciechanowiec",
    "Ciechanów",
    "Ciechocinek",
    "Cieszanów",
    "Cieszyn",
    "Debrzno",
    "Dobczyce",
    "Działoszyce",
    "Działoszyn",
    "Dzierzgoń",
    "Dzierżoniów",
    "Dziwnów",
    "Dąbrowa Górnicza",
    "Dąbrowa Tarnowska",
    "Dąbrowice",
    "Dębica",
    "Dęblin",
    "Dębno",
    "Elbląg",
    "Ełk",
    "Frampol",
    "Frombork",
    "Garwolin",
    "Gdańsk",
    "Gdynia",
    "Giżycko",
    "Glinojeck",
    "Gliwice",
    "Gniew",
    "Gniewkowo",
    "Gniezno",
    "Gorzów Wielkopolski",
    "Gostynin",
    "Gostyń",
    "Gościno",
    "Gąbin",
    "Głogów",
    "Głogów Małopolski",
    "Głogówek",
    "Głowno",
    "Głubczyce",
    "Głuchołazy",
    "Głuszyca",
    "Jabłonowo Pomorskie",
    "Janikowo",
    "Janowiec Wielkopolski",
    "Jastrzębie-Zdrój",
    "Jelenia Góra",
    "Jeziorany",
    "Jeżów",
    "Jordanów",
    "Józefów",
    "Jędrzejów",
    "Karpacz",
    "Kielce",
    "Kietrz",
    "Kisielice",
    "Kraków",
    "Latowicz",
    "Legionowo",
    "Legnica",
    "Lubaczów",
    "Lubań",
    "Lądek-Zdrój",
    "Maków Mazowiecki",
    "Maków Podhalański",
    "Malbork",
    "Mikołajki",
    "Mikołów",
    "Mikstat",
    "Milanówek",
    "Milicz",
    "Miłakowo",
    "Miłomłyn",
    "Olsztyn",
    "Otmuchów",
    "Oświęcim",
    "Pionki",
    "Piotrków Kujawski",
    "Piła",
    "Piława Górna",
    "Pińczów",
    "Pleszew",
    "Pniewy",
    "Prabuty",
    "Praszka",
    "Prochowice",
    "Proszowice",
    "Pruchnik",
    "Prudnik",
    "Prusice",
    "Pruszcz",
    "Pruszcz Gdański",
    "Pruszków",
    "Przasnysz",
    "Prószków",
    "Płock",
    "Płoty",
    "Płońsk",
    "Racibórz",
    "Raciąż",
    "Radków"
    // clang-format on,
    "Radlin",
    "Radłów",
    "Rydzyna",
    "Ryglice",
    "Ryki",
    "Rymanów",
    "Ryn",
    "Starachowice",
    "Stargard",
    "Starogard Gdański",
    "Stary Sącz",
    "Szamocin",
    "Szamotuły",
    "Szczecin",
    "Szczecinek",
    "Tarczyn",
    "Tarnobrzeg",
    "Tarnogród",
    "Tarnowskie Góry",
    "Tychowo",
    "Tychy",
    "Ustrzyki Dolne",
    "Wadowice",
    "Warka",
    "Warszawa",
    "Warta",
    "Wałbrzych",
    "Wałcz",
    "Wiskitki",
    "Wisła",
    "Witkowo",
    "Witnica",
    "Wiślica",
    "Wleń",
    "Wrocław",
    "Wronki",
    "Września",
    "Włocławek",
    "Zalewo",
    "Zambrów",
    "Zamość",
    "Zator",
    "Łomża",
    "Łopuszno",
    "Łosice",
    "Łowicz",
    "Łuków",
    "Łódź",
    "Świeradów-Zdrój",
    "Świerzawa",
    "Świnoujście",
    "Świętochłowice",
    "Żywiec",
});

const auto polandStates = std::to_array<std::string_view>({
    "dolnośląskie",
    "kujawsko-pomorskie",
    "lubelskie",
    "lubuskie",
    "mazowieckie",
    "małopolskie",
    "opolskie",
    "podkarpackie",
    "podlaskie",
    "pomorskie",
    "warmińsko-mazurskie",
    "wielkopolskie",
    "zachodniopomorskie",
    "łódzkie",
    "śląskie",
    "świętokrzyskie",
});

const auto polandStreetNames = std::to_array<std::string_view>({
    // clang-format off
    "Piękna",
    "1 Sierpnia",
    "Adama Branickiego",
    "Agawy",
    "Aksamitna",
    "Akurat",
    "Aleja Dwudziestolatków",
    "Aleja Jana Pawła II",
    "Aleja Narcyzy Żmichowskiej",
    "Aleja Prymasa Tysiąclecia",
    "Aleja Wilanowska",
    "Aleja marsz. Józefa Piłsudskiego",
    "Aleje Jerozolimskie",
    "Aleksandra Gieysztora",
    "Alojzego Pawełka",
    "Analityczna",
    "Andrutowa",
    "Andrychowska",
    "Anny Walentynowicz",
    "Antka Rozpylacza",
    "Armatnia",
    "Astronautów",
    "Astronomów",
    "Astrów",
    "Babiego Lata",
    "Badylarska",
    "Bakalarska",
    "Baltazara",
    "Banderii",
    "Barometryczna",
    "Batalionu AK \"Parasol\"",
    "Batalionu AK \"Włochy\"",
    "Biała",
    "Białowiejska",
    "Biedronki",
    "Bitwy pod Lenino",
    "Bodzanty",
    "Boguszewska",
    "Bolecha",
    "Bolesława Chrobrego",
    "Boryny",
    "Bratnia",
    "Bronisława Dobrzańskiego",
    "Bruzdowa",
    "Brylowska",
    "Budki Szczęśliwickie",
    "Budziszyńska",
    "Burakowska",
    "Calowa",
    "Cegielniana",
    "Centralna",
    "Chmielna",
    "Chylońska",
    "Chłodna",
    "Cienista",
    "Ciepła",
    "Cypriana Kamila Norwida",
    "Cyprysowa",
    "Czardasza",
    "Czelińska",
    "Czempińska",
    "Czorsztyńska",
    "Człuchowska",
    "Daleszycka",
    "Dalibora",
    "Denarowa",
    "Deotymy",
    "Dobrogniewa",
    "Dostatnia",
    "Drukarzy",
    "Dukatowa",
    "Dywizjonu 303",
    "Działdowska",
    "Działkowa",
    "Dzielna",
    "Dzielna",
    "Dzika",
    "Dzika",
    "Długomiła",
    "Edwarda Gibalskiego",
    "Edwarda Szymańskiego",
    "Elbląska",
    "Elekcyjna",
    "Elektoralna",
    "Emaliowa",
    "Emanuela Ringelbluma",
    "Emanuela Szafarczyka",
    "Emila Zegadłowicza",
    "Erazma Ciołka",
    "Erika Dahlbergha",
    "Esperanto",
    "Europejska",
    "Eustachego Tyszkiewicza",
    "Falkowska",
    "Fasolowa",
    "Finałowa",
    "Flagowa",
    "Fort Wola",
    "Franciszka Raszei",
    "Franciszka Żwirki i Stanisława Wigury",
    "Gabriela Narutowicza",
    "Giełdowa",
    "Gizów",
    "Globusowa",
    "Gniewkowska",
    "Goleszowska",
    "Gostyńska",
    "Grabowska",
    "Grenady",
    "Grodziska",
    "Gronowa",
    "Grzybowska",
    "Góralska",
    "Górczewska",
    "Gęślarska",
    "Głuszycka",
    "Hejnałowa",
    "Hektarowa",
    "Henryka Barona",
    "Hipolita Wawelberga",
    "Hipotezy",
    "Hoserów",
    "Hubalczyków",
    "Husarii",
    "Icchoka Lejba Pereca",
    "Ignacego Daszyńskiego",
    "Instalatorów",
    "Jagny",
    "Jakobinów",
    "Jaktorowska",
    "Jana Brożka",
    "Jana Długosza",
    "Jana Kazimierza",
    "Jana Krysta",
    "Jana Olbrachta",
    "Jana Pawła II",
    "Janiszowska",
    "Janusza Korczaka",
    "Jaśminowa",
    "Jeździecka",
    "Juliana Ursyna Niemcewicza",
    "Juliusza Konstantego Ordona",
    "Juliusza Słowackiego",
    "Jutrzenki",
    "Józefa Bellottiego",
    "Józefa Bema",
    "Józefa Sowińskiego",
    "Kacpra Karlińskiego",
    "Kacza",
    "Kajetana Garbińskiego",
    "Kajetana Sołtyka",
    "Kaprys",
    "Karatowa",
    "Karolkowa",
    "Karuzela",
    "Kazachska",
    "Kazimierza Wielkiego",
    "Kercelak",
    "Klecka",
    "Klonowa",
    "Kolejowa",
    "Kolneńska",
    "Kolska",
    "Komitetu Obrony Robotników",
    "Konewki",
    "Koralowa",
    "Koralowa",
    "Kosiarzy",
    "Koszycka",
    "Kotlarska",
    "Kotwiczna",
    "Kozielska",
    "Krochmalna",
    "Krzysztofa Kolumba",
    "Królewicza Aleksandra",
    "Krótka",
    "Księcia Janusza",
    "Księdza Jerzego",
    "Kubusia Puchatka",
    "Kwitnącej Łąki",
    "Lasek na Kole",
    "Laskowa",
    "Latarnika",
    "Lawendy",
    "Leonarda",
    "Leszno",
    "Lipowa",
    "Ludwiki",
    "Lędzka",
    "Magistracka",
    "Magnolii",
    "Malachitowa",
    "Malinowa",
    "Malwy",
    "Marcina Bielskiego",
    "Marcina Kasprzaka",
    "Marii Konopnickiej",
    "Marii Rodziewiczówny",
    "Marii Skłodowskiej-Curie",
    "Marynin",
    "Mazowiecka",
    "Metryczna",
    "Mieczysława Dawida Apfelbauma",
    "Miedziana",
    "Mikołaja Kopernika",
    "Mikołaja Wierzynka",
    "Miła",
    "Moczydło",
    "Monte Cassino",
    "Mordechaja Anielewicza",
    "Morelowa",
    "Morysin",
    "Mroczna",
    "Mszczonowska",
    "Młocińska",
    "Młynarska",
    "Nadziei",
    "Nakielska",
    "Narożna",
    "Nastrojowa",
    "Naukowa",
    "Newelska",
    "Niska",
    "Nowolipie",
    "Nowolipki",
    "Nowoursynowska",
    "Obornicka",
    "Obozowa",
    "Obrońców Pokoju",
    "Ogrodników",
    "Ogrodowa",
    "Okocimska",
    "Okopowa",
    "Okrzeszyńska",
    "Olgi Boznańskiej",
    "Olgi Johann",
    "Opolski",
    "Organizacji Narodów Zjednoczonych",
    "Orszady",
    "Orzechowa",
    "Ożarowska",
    "Pamięci",
    "Pawia",
    "Pawła Lipowczana",
    "Pańska",
    "Perlonowa",
    "Perłowa",
    "Piaskowa",
    "Piechoty Łanowej",
    "Plastyczna",
    "Platanów",
    "Platynowa",
    "Podborska",
    "Polna",
    "Ponczowa",
    "Popas",
    "Popularna",
    "Poranek",
    "Potrzebna",
    "Potrzebna",
    "Powstańców Warszawy",
    "Powązkowska",
    "Poziomkowa",
    "Połczyńska",
    "Prosta",
    "Prudnicka",
    "Prymasa Augusta Hlonda",
    "Pryzmaty",
    "Przasnyska",
    "Przedatki",
    "Przednia",
    "Przekorna",
    "Przepiórki",
    "Przesmyk",
    "Przy Lasku",
    "Przyce",
    "Przyleśna",
    "Przyokopowa",
    "Pustola",
    "Płocka",
    "Rabsztyńska",
    "Radarowa",
    "Radzanowska",
    "Radziwie",
    "Rebusowa",
    "Redaktorska",
    "Redutowa",
    "Rejonowa",
    "Resorowa",
    "Rodziny Kluczyńskich",
    "Rodziny Lilpopów",
    "Rogalińska",
    "Rolna",
    "Romańska",
    "Rosochata",
    "Rumiana",
    "Równa",
    "Różana",
    "Rękodzielnicza",
    "Saperów",
    "Sarmacka",
    "Sebastiana Klonowicza",
    "Sekwoi",
    "Seweryna Krzyżanowskiego",
    "Siedmiogrodzka",
    "Sienna",
    "Sieradzka",
    "Skierniewicka",
    "Skromna",
    "Smocza",
    "Sokołowska",
    "Solipska",
    "Solińska",
    "Spokojna",
    "Srebrna",
    "Stajenna",
    "Stanisława Smolki",
    "Stanisława Staszica",
    "Stanisława Worcella",
    "Stawki",
    "Stawy",
    "Stoicka"
    // clang-format on,
    "Stroma",
    "Strąkowa",
    "Studzienna",
    "Sulmierzycka",
    "Sybiraków",
    "Sycowska",
    "Syreny",
    "Szarych Szeregów",
    "Szańcowa",
    "Szczęsna",
    "Szeroka",
    "Szlenkierów",
    "Szulborska",
    "Szybowcowa",
    "Sławińska",
    "Słodowiecka",
    "Słoneczna",
    "Słonecznej Polany",
    "Tadeusza Krępowieckiego",
    "Tapicerska",
    "Tatarska",
    "Teodozji",
    "Tomnicka",
    "Topolowa",
    "Towarowa",
    "Traktorzystki",
    "Trojańska",
    "Trzos",
    "Tunelowa",
    "Twarda",
    "Tylna",
    "Tynkarska",
    "Tęczowa",
    "Ulrychowska",
    "Uprawna",
    "Wagonowa",
    "Waliców",
    "Wandy Lurie",
    "Wawrzyszewska",
    "Wałowicka",
    "Wieluńska",
    "Wilanowska",
    "Wincentego Pola",
    "Winogronowa",
    "Wirażowa",
    "Witki",
    "Wolności",
    "Wolska",
    "Wschodnia",
    "Wschowska",
    "Wspólna",
    "Wszemirowska",
    "Wycieczka",
    "Wydmowa",
    "Wykusz",
    "Wyprawa",
    "Wyrzyska",
    "Wąska",
    "Węgorzewska",
    "Władysława Przanowskiego",
    "Włodzimierza Majakowskiego",
    "Zachodu Słońca",
    "Zadanie 02",
    "Zadanie 04",
    "Zadanie 06",
    "Zadanie 12",
    "Zadanie 13",
    "Zadrzewiona",
    "Zakątek",
    "Zapiecek",
    "Zastruże",
    "Zaułek",
    "Zawiszy",
    "Załuski",
    "Zaściankowa",
    "Zbocze",
    "Zdobnicza",
    "Zdrowa",
    "Zdzisława Kuźmirskiego-Pacaka",
    "Zdzisława Lubomirskiego",
    "Znana",
    "Znicz",
    "Zodiakalna",
    "Zwrotnicza",
    "Zygmunta Vogla",
    "Złocienia",
    "Złota",
    "gen. Jana Jura-Gorzechowskiego",
    "kard. Stefana Wyszyńskiego",
    "Łacińska",
    "Łucka",
    "Łuczek",
    "Łukasza Drewny",
    "Łąkowa",
    "Śliska",
    "Śląska",
    "Światowa",
    "Świerszcza",
    "Świetlista",
    "św. Stanisława",
    "św. Urszuli Ledóchowskiej",
    "św. Wojciecha",
    "Żaluzji",
    "Żegoty",
    "Żelazna",
    "Żniwna",
    "Żytnia",
});

const auto polandStreetPrefixes =
    std::to_array<std::string_view>({
    "aleja",
    "osiedle",
    "park",
    "plac",
    "skwer",
    "ulica",
});

const std::string_view polandZipCodeFormat{"##-###"};

const auto polandAddressFormats =
    std::to_array<std::string_view>({
    "{street} {buildingNumber}",
    "{street} {buildingNumber} {secondaryAddress}",
    "{street} {buildingNumber}/{buildingNumber}",
});

const auto polandSecondaryAddressFormats = std::to_array<std::string_view>({
    "m. #",
    "m. ##",
    "m. ###",
});

const auto polandBuildingNumberFormats = std::to_array<std::string_view>({
    "#",
    "##",
    "###",
});

const auto polandStreetFormats = std::to_array<std::string_view>({
    "{streetPrefix} {streetName}",
});

const auto polandCityFormats = std::to_array<std::string_view>({
    "{cityName}",
});

const CountryAddressesInfo polandAddresses{
    polandZipCodeFormat,
    (polandAddressFormats),
    (polandSecondaryAddressFormats),
    (polandStreetFormats),
    (polandStreetPrefixes),
    (polandStreetNames),
    {},
    (polandBuildingNumberFormats),
    (polandCityFormats),
    {},
    (polandCities),
    {},
    (polandStates),
};

// Russia

const auto russiaCities = std::to_array<std::string_view>({
    // clang-format off
    "Абакан",
    "Азов",
    "Калининград",
    "Калуга",
    "Каменск-Уральский",
    "Каменск-Шахтинский",
    "Камышин",
    "Канск",
    "Каспийск",
    "Кемерово",
    "Керчь",
    "Кинешма",
    "Кириши",
    "Киров",
    "Кирово-Чепецк",
    "Киселевск",
    "Кисловодск",
    "Клин",
    "Клинцы",
    "Ковров",
    "Когалым",
    "Коломна",
    "Комсомольск-на-Амуре",
    "Копейск",
    "Королев",
    "Кострома",
    "Котлас",
    "Красногорск",
    "Краснодар",
    "Краснокаменск",
    "Краснокамск",
    "Краснотурьинск",
    "Красноярск",
    "Кропоткин",
    "Крымск",
    "Кстово",
    "Кузнецк",
    "Кумертау",
    "Кунгур",
    "Курган",
    "Курск",
    "Кызыл",
    "Лабинск",
    "Лениногорск",
    "Ленинск-Кузнецкий",
    "Лесосибирск",
    "Липецк",
    "Лиски",
    "Лобня",
    "Лысьва",
    "Лыткарино",
    "Люберцы",
    "Магадан",
    "Магнитогорск",
    "Майкоп",
    "Махачкала",
    "Междуреченск",
    "Мелеуз",
    "Миасс",
    "Минеральные",
    "Минусинск",
    "Михайловка",
    "Михайловск",
    "Мичуринск",
    "Москва",
    "Мурманск",
    "Муром",
    "Мытищи",
    "Набережные",
    "Назарово",
    "Назрань",
    "Нальчик",
    "Наро-Фоминск",
    "Находка",
    "Невинномысск",
    "Нерюнгри",
    "Нефтекамск",
    "Нефтеюганск",
    "Нижневартовск",
    "Нижнекамск",
    "Нижний",
    "Нижний",
    "Новоалтайск",
    "Новокузнецк",
    "Новокуйбышевск",
    "Новомосковск",
    "Новороссийск",
    "Новосибирск",
    "Новотроицк",
    "Новоуральск",
    "Новочебоксарск",
    "Новочеркасск",
    "Новошахтинск",
    "Новый",
    "Ногинск",
    "Норильск",
    "Ноябрьск",
    "Нягань",
    "Обнинск",
    "Одинцово",
    "Озерск",
    "Октябрьский",
    "Омск",
    "Орел",
    "Оренбург",
    "Орехово-Зуево",
    "Орск",
    "Павлово",
    "Павловский",
    "Пенза",
    "Первоуральск",
    "Пермь",
    "Петрозаводск",
    "Петропавловск-Камчатский",
    "Подольск",
    "Полевской",
    "Прокопьевск",
    "Прохладный",
    "Псков",
    "Пушкино",
    "Пятигорск",
    "Раменское",
    "Ревда",
    "Реутов",
    "Ржев",
    "Рославль",
    "Россошь",
    "Ростов-на-Дону",
    "Рубцовск",
    "Рыбинск",
    "Рязань",
    "Салават",
    "Сальск",
    "Самара",
    "Санкт-Петербург",
    "Саранск",
    "Сарапул",
    "Саратов",
    "Саров",
    "Свободный",
    "Севастополь",
    "Северодвинск",
    "Северск",
    "Сергиев",
    "Серов",
    "Серпухов",
    "Сертолово",
    "Сибай",
    "Симферополь",
    "Славянск-на-Кубани",
    "Смоленск",
    "Соликамск",
    "Солнечногорск",
    "Сосновый",
    "Сочи",
    "Ставрополь",
    "Старый",
    "Стерлитамак",
    "Ступино",
    "Сургут",
    "Сызрань",
    "Сыктывкар"
    // clang-format on,
    "Таганрог",
    "Тамбов",
    "Тверь",
    "Тимашевск",
    "Тихвин",
    "Тихорецк",
    "Тобольск",
    "Тольятти",
    "Томск",
    "Троицк",
    "Туапсе",
    "Туймазы",
    "Тула",
    "Тюмень",
    "Узловая",
    "Улан-Удэ",
    "Ульяновск",
    "Урус-Мартан",
    "Усолье-Сибирское",
    "Уссурийск",
    "Усть-Илимск",
    "Уфа",
    "Ухта",
    "Феодосия",
    "Фрязино",
    "Хабаровск",
    "Ханты-Мансийск",
    "Хасавюрт",
    "Химки",
    "Чайковский",
    "Чапаевск",
    "Чебоксары",
    "Челябинск",
    "Черемхово",
    "Череповец",
    "Черкесск",
    "Черногорск",
    "Чехов",
    "Чистополь",
    "Чита",
    "Шадринск",
    "Шали",
    "Шахты",
    "Шуя",
    "Щекино",
    "Щелково",
    "Электросталь",
    "Элиста",
    "Энгельс",
    "Южно-Сахалинск",
    "Юрга",
    "Якутск",
    "Ялта",
});

const auto russiaStates = std::to_array<std::string_view>({
    // clang-format off
    "Алтайский край",
    "Амурская область",
    "Архангельская область",
    "Астраханская область",
    "Белгородская область",
    "Брянская область",
    "Владимирская область",
    "Волгоградская область",
    "Воронежская область",
    "Еврейская автономная область",
    "Забайкальский край",
    "Ивановская область",
    "Иркутская область",
    "Кабардино - Балкарская Республика",
    "Калининградская область",
    "Калужская область",
    "Камчатский край",
    "Карачаево - Черкесская Республика",
    "Кемеровская область - Кузбасс",
    "Кировская область",
    "Костромская область",
    "Краснодарский край",
    "Красноярский край",
    "Курганская область",
    "Курская область",
    "Ленинградская область",
    "Липецкая область",
    "Магаданская область",
    "Московская область",
    "Мурманская область",
    "Ненецкий автономный округ",
    "Нижегородская область",
    "Новгородская область",
    "Новосибирская область",
    "Омская область",
    "Оренбургская область",
    "Орловская область",
    "Пензенская область",
    "Пермский край",
    "Приморский край",
    "Псковская область",
    "Республика Адыгея (Адыгея)",
    "Республика Алтай",
    "Республика Башкортостан",
    "Республика Бурятия",
    "Республика Дагестан",
    "Республика Ингушетия",
    "Республика Калмыкия",
    "Республика Карелия",
    "Республика Коми",
    "Республика Крым",
    "Республика Марий Эл",
    "Республика Мордовия",
    "Республика Саха (Якутия)",
    "Республика Северная Осетия - Алания",
    "Республика Татарстан",
    "Республика Тыва",
    "Республика Хакасия",
    "Ростовская область",
    "Рязанская область",
    "Самарская область",
    "Саратовская область",
    "Сахалинская область",
    "Свердловская область",
    "Смоленская область",
    "Ставропольский край",
    "Тамбовская область",
    "Тверская область",
    "Томская область",
    "Тульская область",
    "Тюменская область",
    "Удмуртская Республика",
    "Ульяновская область",
    "Хабаровский край",
    "Ханты-Мансийский автономный округ - Югра",
    "Челябинская область",
    "Чеченская Республика",
    "Чувашская Республика",
    "Чукотский автономный округ",
    "Ямало-ненецкий автономный округ",
    "Ярославская область"
    // clang-format on,
    "г. Москва",
    "г. Санкт - Петербург",
    "г. Севастополь",
});

const auto russiaStreetNames = std::to_array<std::string_view>({
    // clang-format off
    "Советская",
    "Авиационная",
    "Азовская",
    "Алтайская",
    "Ангарская",
    "Астраханская",
    "Аэродромная",
    "Байкальская",
    "Балтийская",
    "Белорусская",
    "Большая",
    "Большевистская",
    "Брянская",
    "Васильковая",
    "Владимирская",
    "Водопроводная",
    "Волочаевская",
    "Вольная",
    "Воронежская",
    "Выгонная",
    "Высокая",
    "Высоковольтная",
    "Высотная",
    "Главная",
    "Горняцкая",
    "Депутатская",
    "Енисейская",
    "Заовражная",
    "Ивановская",
    "Инженерная",
    "Иркутская",
    "Казанская",
    "Калужская",
    "Камская",
    "Каштановая",
    "Коллективная",
    "Космическая",
    "Краснодарская",
    "Краснознаменная",
    "Краснопартизанская",
    "Красноярская",
    "Крымская",
    "Кузнецкая",
    "Курганная",
    "Курортная",
    "Курская",
    "Лазурная",
    "Ленская",
    "Лесозаводская",
    "Лесхозная",
    "Логовая",
    "Локомотивная",
    "Лунная",
    "Малиновая"
    // clang-format on,
    "Мелиоративная",
    "Механическая",
    "Минская",
    "Моховая",
    "Новгородская",
    "Новосельская",
    "Одесская",
    "Окружная",
    "Ольховая",
    "Омская",
    "Ореховая",
    "Орловская",
    "Осенняя",
    "Отрадная",
    "Петровская",
    "Покровская",
    "Полтавская",
    "Портовая",
    "Прибрежная",
    "Привольная",
    "Приморская",
    "Проезжая",
    "Производственная",
    "Проточная",
    "Прудная",
    "Прудовая",
    "Путевая",
    "Путейская",
    "Радужная",
    "Республиканская",
    "Ростовская",
    "Ручейная",
    "Рыбацкая",
    "Рязанская",
    "Санаторная",
    "Саратовская",
    "Сахалинская",
    "Севастопольская",
    "Сельская",
    "Сиреневая",
    "Славянская",
    "Слободская",
    "Смоленская",
    "Снежная",
    "Союзная",
    "Сплавная",
    "Ставропольская",
    "Стахановская",
    "Таманская",
    "Тамбовская",
    "Тепличная",
    "Техническая",
    "Тополиная",
    "Тракторная",
    "Троицкая",
    "Тульская",
    "Тупиковая",
    "Угловая",
    "Ударная",
    "Ульяновская",
    "Февральская",
    "Физкультурная",
    "Харьковская",
    "Хвойная",
    "Хуторская",
    "Черноморская",
    "Ягодная",
    "Ярославская",
    "Ясная",
});

const auto russiaStreetPrefixes =
    std::to_array<std::string_view>({
    "авеню",
    "аллея",
    "бульвар",
    "линия",
    "мост",
    "набережная",
    "переулок",
    "проспект",
    "тракт",
    "тупик",
    "улица",
    "шоссе",
});

const std::string_view russiaZipCodeFormat{"######"};

const auto russiaAddressFormats =
    std::to_array<std::string_view>({
    "{street} {buildingNumber}",
    "{street} {buildingNumber} {secondaryAddress}",
});

const auto russiaSecondaryAddressFormats = std::to_array<std::string_view>({
    "кв. #",
    "кв. ##",
    "кв. ###",
});

const auto russiaBuildingNumberFormats = std::to_array<std::string_view>({
    "#",
    "##",
    "###",
});

const auto russiaStreetFormats = std::to_array<std::string_view>(
    {"{streetPrefix} {firstName}", "{streetPrefix} {lastName}", "{streetPrefix} {streetName}"});

const auto russiaCityFormats = std::to_array<std::string_view>({
    "{cityName}",
});

const CountryAddressesInfo russiaAddresses{
    russiaZipCodeFormat,
    (russiaAddressFormats),
    (russiaSecondaryAddressFormats),
    (russiaStreetFormats),
    (russiaStreetPrefixes),
    (russiaStreetNames),
    {},
    (russiaBuildingNumberFormats),
    (russiaCityFormats),
    {},
    (russiaCities),
    {},
    (russiaStates),
};

// Spain

const auto spainCities = std::to_array<std::string_view>({
    // clang-format off
    "Parla",
    "Albacete",
    "Alcalá de Guadaira",
    "Alcalá de Henares",
    "Alcobendas",
    "Alcorcón",
    "Alcoy",
    "Algeciras",
    "Alicante",
    "Almería",
    "Arrecife",
    "Avilés",
    "Aýna",
    "Badajoz",
    "Badalona",
    "Baracaldo",
    "Barcelona",
    "Benalmádena",
    "Benidorm",
    "Bilbao",
    "Burgos",
    "Calahorra",
    "Cartagena",
    "Castellón de la Plana",
    "Cerdañola del Vallés",
    "Ceuta",
    "Chiclana de la Frontera",
    "Ciudad Real",
    "Collado Villalba",
    "Cornellá de Llobregat",
    "Coslada",
    "Cuenta",
    "Cáceres",
    "Cádiz",
    "Córdoba",
    "Dos Hermanas",
    "El Ejido",
    "El Prat de LLobregat",
    "El Puerto de Santa María",
    "Elche",
    "Elda",
    "Estepona",
    "Ferrol",
    "Fuengirola",
    "Fuenlabrada"
    // clang-format on,
    "Gandía",
    "Gecho",
    "Gerona",
    "Getafe",
    "Gijón",
    "Granada",
    "Granollers",
    "Guadalajara",
    "Hospitalet de LLobregat",
    "Huelva",
    "Inca",
    "Irún",
    "Jaén",
    "Jerez de la Frontera",
    "La Coruña",
    "La Línea de la Concepción",
    "Las Palmas de Gran Canaria",
    "Leganés",
    "León",
    "Linares",
    "Logroño",
    "Lorca",
    "Lugo",
    "Lérida",
    "Madrid",
    "Majadahonda",
    "Manresa",
    "Marbella",
    "Mataró",
    "Mijas",
    "Molina de Segura",
    "Mollet del Vallés",
    "Motril",
    "Murcia",
    "Málaga",
    "Mérida",
    "Móstoles",
    "Orense",
    "Orihuela",
    "Oviedo",
    "Palencia",
    "Palma de Mallorca",
    "Pamplona",
    "Paterna",
    "Ponferrada",
    "Pontevedra",
    "Pozuelo de Alarcón",
    "Puertollano",
    "Reus",
    "Rivas-Vaciamadrid",
    "Roquetas de Mar",
    "Rubí",
    "Sabadell",
    "Sagunto",
    "Salamanca",
    "San Cristróbal de la Laguna",
    "San Fernando",
    "San Sebastián",
    "San Sebastían de los Reyes",
    "Sanlúcar de Barrameda",
    "Santa Coloma de Gramanet",
    "Santa Cruz de Tenerife",
    "Santa Lucía de Tirajana",
    "Santander",
    "Santiago de Compostela",
    "Segovia",
    "Sevilla",
    "Talavera de la Reina",
    "Tarragona",
    "Tarrasa",
    "Telde",
    "Toledo",
    "Torrejón de Ardoz",
    "Torrelavega",
    "Torremolinos",
    "Torrevieja",
    "Valdemoro",
    "Valencia",
    "Valladolid",
    "Vigo",
    "Viladecans",
    "Vitoria",
    "Zamora",
    "Zaragoza",
    "Ávila",
});

const auto spainStates = std::to_array<std::string_view>({
    // clang-format off
    "Andalucía",
    "Aragón",
    "Baleares",
    "Canarias",
    "Cantabria",
    "Castilla y León",
    "Castilla-La Mancha",
    "Cataluña",
    "Comunidad Valenciana",
    "Comunidad de Madrid",
    "Extremadura",
    "Galicia",
    "La Rioja",
    "Navarra"
    // clang-format on,
    "País Vasco",
    "Principado de Asturias",
    "Región de Murcia",
});

const auto spainStreetSuffixes = std::to_array<std::string_view>({
    // clang-format off
    "Aldea",
    "Apartamento",
    "Arrabal",
    "Arroyo",
    "Avenida",
    "Bajada",
    "Barranco",
    "Barrio",
    "Bloque",
    "Calle",
    "Calleja",
    "Camino",
    "Carretera",
    "Caserio",
    "Chalet",
    "Colegio",
    "Colonia",
    "Conjunto",
    "Cuesta",
    "Edificio",
    "Entrada",
    "Escalinata",
    "Explanada",
    "Extramuros",
    "Extrarradio",
    "Ferrocarril",
    "Glorieta",
    "Gran Subida",
    "Grupo",
    "Huerta",
    "Jardines",
    "Lado",
    "Lugar",
    "Manzana",
    "Masía",
    "Mercado",
    "Monte",
    "Muelle",
    "Municipio",
    "Parcela",
    "Parque",
    "Partida",
    "Pasaje",
    "Paseo",
    "Plaza",
    "Poblado",
    "Polígono",
    "Prolongación",
    "Puente",
    "Puerta",
    "Quinta",
    "Ramal",
    "Rambla",
    "Rampa",
    "Riera",
    "Rincón",
    "Ronda",
    "Rua",
    "Salida",
    "Sección",
    "Sector",
    "Senda",
    "Solar",
    "Subida",
    "Terrenos",
    "Torrente",
    "Travesía",
    "Urbanización",
    "Vía",
    "Vía Pública"
    // clang-format on,
});

const std::string_view spainZipCodeFormat{"#####"};

const auto spainAddressFormats =
    std::to_array<std::string_view>({
    "{street} {buildingNumber} {secondaryAddress}",
    "{street} {buildingNumber})",
});

const auto spainSecondaryAddressFormats = std::to_array<std::string_view>({
    "Esc. ###",
    "Puerta ###",
});

const auto spainBuildingNumberFormats = std::to_array<std::string_view>({
    "#",
    "##",
    "s/n.",
});

const auto spainStreetFormats =
    std::to_array<std::string_view>({
    "{streetSuffix} {firstName}",
    "{streetSuffix} {firstName} {lastName}",
});

const auto spainCityFormats = std::to_array<std::string_view>({
    "{cityName}",
});

const CountryAddressesInfo spainAddresses{
    spainZipCodeFormat,
    (spainAddressFormats),
    (spainSecondaryAddressFormats),
    (spainStreetFormats),
    {},
    {},
    (spainStreetSuffixes),
    (spainBuildingNumberFormats),
    (spainCityFormats),
    {},
    (spainCities),
    {},
    (spainStates),
};

// Ukraine

const auto ukraineCities = std::to_array<std::string_view>({
    // clang-format off
    "Авдіївка",
    "Євпаторія",
    "Єнакієве",
    "Івано-Франківськ",
    "Ізмаїл",
    "Ізюм",
    "Ізяслав",
    "Іллінці",
    "Іловайськ",
    "Інкерман",
    "Ірміно",
    "Ірпінь",
    "Іршава",
    "Ічня",
    "Аджи-Мушкай",
    "Алмазна",
    "Алупка",
    "Алушта",
    "Алчевськ",
    "Амвросіївка",
    "Ананьїв",
    "Андрушівка",
    "Антрацит (місто)",
    "Апостолове",
    "Армянськ",
    "Арциз",
    "Балаклія",
    "Балта",
    "Бар (Україна)",
    "Баранівка",
    "Барвінкове",
    "Батурин",
    "Бахмач",
    "Бахмут",
    "Бахчисарай",
    "Баштанка",
    "Белз",
    "Бердичів",
    "Бердянськ",
    "Берегове",
    "Бережани",
    "Березань (місто)",
    "Березне",
    "Березівка",
    "Берестечко",
    "Берислав",
    "Бершадь",
    "Благовіщенське",
    "Бобринець",
    "Бобровиця",
    "Богодухів",
    "Богуслав",
    "Боково-Хрустальне",
    "Болград",
    "Болехів",
    "Борзна",
    "Борислав",
    "Бориспіль",
    "Бородянка",
    "Борщів",
    "Боссе (Донецьк)",
    "Боярка",
    "Бровари",
    "Броди",
    "Брянка",
    "Булгак (село)",
    "Бунге (місто)",
    "Буринь",
    "Бурштин (місто)",
    "Буськ",
    "Буча",
    "Бучач",
    "Бібрка",
    "Біла Церква",
    "Білгород-Дністровський",
    "Білицьке",
    "Білогірськ",
    "Білозерське",
    "Білопілля",
    "Біляївка",
    "Валки (місто)",
    "Вараш",
    "Васильків",
    "Василівка (місто)",
    "Ватутіне",
    "Вашківці",
    "Великі Мости",
    "Верхньодніпровськ",
    "Верхівцеве",
    "Вижниця",
    "Вилкове",
    "Винники",
    "Виноградів",
    "Вишгород",
    "Вишневе (місто)",
    "Вовчанськ",
    "Вознесенськ",
    "Вознесенівка",
    "Волноваха",
    "Володимир (місто)",
    "Волочиськ",
    "Ворожба",
    "Вуглегірськ",
    "Вугледар",
    "Вільногірськ",
    "Вільнянськ",
    "Вінниця",
    "Гадяч",
    "Гайворон",
    "Гайсин",
    "Галич",
    "Генічеськ",
    "Географія Вільнянська",
    "Герца",
    "Гостомель",
    "Гребінка",
    "Гуляйполе",
    "Гірник (місто)",
    "Дебальцеве",
    "Деражня",
    "Дергачі",
    "Джабу",
    "Джанкой",
    "Дніпро (місто)",
    "Дніпрорудне",
    "Добромиль",
    "Добропілля",
    "Добросин",
    "Довжанськ",
    "Докучаєвськ",
    "Долина (місто)",
    "Долинська",
    "Донецьк",
    "Дрогобич",
    "Дружба (місто)",
    "Дружківка",
    "Дубляни",
    "Дубно",
    "Дубровиця",
    "Дунаївці",
    "Енергодар",
    "Жашків",
    "Жданівка",
    "Жидачів",
    "Житомир",
    "Жмеринка",
    "Жовква",
    "Жовті Води",
    "Заводське",
    "Залізне",
    "Заліщики",
    "Запоріжжя",
    "Заставна",
    "Збараж",
    "Зборів",
    "Звенигородка",
    "Звягель",
    "Здолбунів",
    "Зелене (Харків)",
    "Зеленодольськ",
    "Зимогір'я",
    "Зміїв",
    "Знам'янка",
    "Золоте",
    "Золотоноша",
    "Золочів",
    "Зоринськ",
    "Зугрес",
    "Зіньків",
    "Кагарлик",
    "Кадіївка",
    "Калинівка (місто)",
    "Калуш",
    "Кальміуське",
    "Кам'янець-Подільський",
    "Кам'янка (Черкаська область)",
    "Кам'янка-Бузька",
    "Кам'янка-Дніпровська",
    "Кам'янське",
    "Камінь-Каширський",
    "Канів",
    "Карлівка",
    "Каховка",
    "Керч",
    "Кипуче",
    "Київ",
    "Кобеляки",
    "Ковель",
    "Кодима",
    "Козятин",
    "Коломия",
    "Комарно",
    "Конотоп",
    "Копичинці",
    "Корець",
    "Користувач:Козак Яна/Чернетка",
    "Коростень",
    "Коростишів",
    "Корсунь-Шевченківський",
    "Корюківка",
    "Костопіль",
    "Костянтинівка",
    "Косів",
    "Коцюбинське",
    "Краматорськ",
    "Красилів",
    "Красногорівка",
    "Красноград",
    "Кременець",
    "Кременчук",
    "Кремінна",
    "Кривий Ріг",
    "Кролевець"
    // clang-format on,
    "Кропивницький",
    "Куп'янськ",
    "Курахове",
    "Ківерці",
    "Кілія",
    "Кіцмань",
    "Ладижин",
    "Ланівці",
    "Лебедин",
    "Лиман (місто)",
    "Липовець",
    "Лисичанськ",
    "Лозова",
    "Лохвиця",
    "Лубни",
    "Луганськ",
    "Лутугине",
    "Луцьк",
    "Львів",
    "Любомль",
    "Люботин",
    "Макіївка",
    "Мала Виска",
    "Малин",
    "Мар'їнка",
    "Марганець (місто)",
    "Маріуполь",
    "Мелітополь",
    "Мена (місто)",
    "Мерефа",
    "Миколаїв",
    "Миколаїв (Львівська область)",
    "Миколаївка (місто)",
    "Миргород",
    "Хмільник",
    "Ходорів",
    "Хорол (місто)",
    "Хоростків",
    "Хотин",
    "Хрестівка",
    "Христинівка",
    "Хрустальний",
    "Хуст",
    "Часів Яр",
    "Червоноград",
    "Червоносів",
    "Черкаси",
    "Чернівці",
    "Чернігів",
    "Чигирин",
    "Чистякове",
    "Чоп",
    "Чорнобиль",
    "Чорноморськ",
    "Чортків",
    "Чугуїв",
    "Чуднів",
    "Шаргород",
    "Шахтарськ",
    "Шепетівка",
    "Шостка",
    "Шпола",
    "Шумськ",
    "Щастя (місто)",
    "Щолкіне",
    "Южне",
    "Южноукраїнськ",
    "Яворів",
    "Яготин",
    "Ялта",
    "Ямпіль",
    "Яни Капу",
    "Янів (Київська область)",
    "Яремче",
});

const auto ukraineStates = std::to_array<std::string_view>({
    // clang-format off
    "АР Крим",
    "Івано-Франківська область",
    "Волинська область",
    "Вінницька область",
    "Дніпропетровська область",
    "Донецька область",
    "Житомирська область",
    "Закарпатська область",
    "Запорізька область",
    "Київ",
    "Київська область",
    "Кіровоградська область",
    "Луганська область",
    "Львівська область",
    "Миколаївська область",
    "Одеська область",
    "Полтавська область",
    "Рівненська область",
    "Севастополь",
    "Сумська область",
    "Тернопільська область",
    "Харківська область",
    "Херсонська область"
    // clang-format on,
    "Хмельницька область",
    "Черкаська область",
    "Чернівецька область",
    "Чернігівська область",
});

const auto ukraineStreetNames = std::to_array<std::string_view>({
    // clang-format off
    "Хрещатик",
    "Інститутська",
    "Азербайджанська",
    "Азовська",
    "Азовська",
    "Азовський",
    "Айвазовського",
    "Академіка Амосова",
    "Академіка Корольова",
    "Академіка Ромоданова",
    "Алматинська",
    "Алчевських",
    "Алчевської",
    "Альпійська",
    "Альпійський",
    "Амет-Хана Султана",
    "Артема",
    "Бессарабська",
    "Богдана Хмельницького",
    "Бульвар Тараса Шевченка",
    "Валентинівська",
    "Валківська",
    "Валова",
    "Валіховський"
    // clang-format on,
    "Варварівська",
    "Варненська",
    "Варшавська",
    "Варшавська",
    "Василицька",
    "Васильківська",
    "Васильківський",
    "Василівська",
    "Василівська",
    "Гагаріна",
    "Генерала Алмазова",
    "Генерала Алмазова",
    "Героїв Майдану",
    "Горького",
    "Золотоворітська",
    "Крещатик",
    "Лесі Українки",
    "Липська",
    "Любченка",
    "Майдан Незалежності",
    "Миколи Амосова",
    "Миколи Василенка",
    "Московська",
    "Нова",
    "Озерна",
    "Петра Могили",
    "Печерська",
    "Прорізна",
    "Пушкінська",
    "Сагайдачного",
    "Саксаганського",
    "Симона Петлюри",
    "Січових Стрільців",
    "Тичини",
    "Харківська",
    "Христини Алчевської",
    "Шевченка",
});

const auto ukraineStreetPrefixes = std::to_array<std::string_view>(
    {"вулиця", "аллея", "бульвар", "лінія", "набережна", "шоссе", "перевулок", "проспект", "міст", "авеню"});

const std::string_view ukraineZipCodeFormat{"#####"};

const auto ukraineAddressFormats =
    std::to_array<std::string_view>({
    "{street} {buildingNumber}",
    "{street} {buildingNumber} {secondaryAddress}",
});

const auto ukraineSecondaryAddressFormats = std::to_array<std::string_view>({
    "кв. #",
    "кв. ##",
    "кв. ###",
});

const auto ukraineBuildingNumberFormats = std::to_array<std::string_view>({
    "#",
    "##",
    "###",
});

const auto ukraineStreetFormats = std::to_array<std::string_view>(
    {"{streetPrefix} {firstName}", "{streetPrefix} {lastName}", "{streetPrefix} {streetName}"});

const auto ukraineCityFormats = std::to_array<std::string_view>({
    "{cityName}",
});

const CountryAddressesInfo ukraineAddresses{
    ukraineZipCodeFormat,
    (ukraineAddressFormats),
    (ukraineSecondaryAddressFormats),
    (ukraineStreetFormats),
    (ukraineStreetPrefixes),
    (ukraineStreetNames),
    {},
    (ukraineBuildingNumberFormats),
    (ukraineCityFormats),
    {},
    (ukraineCities),
    {},
    (ukraineStates),
};

// USA

const auto usaCities = std::to_array<std::string_view>({
    // clang-format off
    "Abilene",
    "Akron",
    "Alafaya",
    "Alameda",
    "Albany",
    "Albuquerque",
    "Alexandria",
    "Alhambra",
    "Aliso Viejo",
    "Allen",
    "Allentown",
    "Aloha",
    "Alpharetta",
    "Altadena",
    "Altamonte Springs",
    "Altoona",
    "Amarillo",
    "Ames",
    "Anaheim",
    "Anchorage",
    "Anderson",
    "Blue Springs",
    "Boca Raton",
    "Boise City",
    "Bolingbrook",
    "Bonita Springs",
    "Bossier City",
    "Boston",
    "Bothell",
    "Boulder",
    "Bountiful",
    "Bowie",
    "Bowling Green",
    "Boynton Beach",
    "Bozeman",
    "Bradenton",
    "Brandon",
    "Brentwood",
    "Bridgeport",
    "Bristol",
    "Brockton",
    "Broken Arrow",
    "Carlsbad",
    "Carmel",
    "Carmichael",
    "Carolina",
    "Carrollton",
    "Carson",
    "Carson City",
    "Cary",
    "Casa Grande",
    "Casas Adobes",
    "Casper",
    "Castle Rock",
    "Castro Valley",
    "Catalina Foothills",
    "Cathedral City",
    "Catonsville",
    "Cedar Hill",
    "Cedar Park",
    "Cedar Rapids",
    "Centennial",
    "Centreville",
    "Ceres",
    "Cerritos",
    "Champaign",
    "Chandler",
    "Chapel Hill",
    "Charleston",
    "Charlotte",
    "Charlottesville",
    "Chattanooga",
    "Cheektowaga",
    "Chesapeake",
    "Chesterfield",
    "Cheyenne",
    "Chicago",
    "Chico",
    "Chicopee",
    "Chino",
    "Chino Hills",
    "Chula Vista",
    "Dallas",
    "Daly City",
    "Danbury",
    "Danville",
    "Davenport",
    "Davie",
    "Davis",
    "Dayton",
    "Daytona Beach",
    "DeKalb",
    "DeSoto",
    "Dearborn",
    "Dearborn Heights",
    "Decatur",
    "Deerfield Beach",
    "Delano",
    "Delray Beach",
    "Deltona",
    "Denton",
    "Denver",
    "Elyria",
    "Encinitas",
    "Enid",
    "Enterprise",
    "Erie",
    "Escondido",
    "Euclid",
    "Eugene",
    "Euless",
    "Evanston",
    "Evansville",
    "Everett",
    "Fairfield",
    "Fall River",
    "Fargo",
    "Farmington",
    "Farmington Hills",
    "Fayetteville",
    "Federal Way",
    "Findlay",
    "Fishers",
    "Flagstaff",
    "Flint",
    "Florence-Graham",
    "Florin",
    "Greeley",
    "Green Bay",
    "Greensboro",
    "Greenville",
    "Greenwood",
    "Gresham",
    "Guaynabo",
    "Gulfport",
    "Hacienda Heights",
    "Hackensack",
    "Haltom City",
    "Hamilton",
    "Hammond",
    "Hampton",
    "Hanford",
    "Harlingen",
    "Harrisburg",
    "Harrisonburg",
    "Hartford",
    "Hattiesburg",
    "Haverhill",
    "Hawthorne",
    "Hayward",
    "Hemet",
    "Hempstead",
    "Henderson",
    "Hendersonville",
    "Hesperia",
    "Hialeah",
    "Hicksville",
    "High Point",
    "Highland",
    "Highlands Ranch",
    "Hillsboro",
    "Hilo",
    "Hoboken",
    "Hoffman Estates",
    "Hollywood",
    "Homestead",
    "Honolulu",
    "Hoover",
    "Houston",
    "Huntersville",
    "Huntington",
    "Huntington Beach",
    "Huntington Park",
    "Huntsville",
    "Hutchinson",
    "Irvine",
    "Irving",
    "Jackson",
    "Jacksonville",
    "Janesville",
    "Jefferson City",
    "Jeffersonville",
    "Jersey City",
    "Johns Creek",
    "Johnson City",
    "Joliet",
    "Jonesboro",
    "Joplin",
    "Jupiter",
    "Jurupa Valley",
    "Kalamazoo",
    "Kannapolis",
    "Kansas City",
    "Kearny",
    "Keller",
    "Kendale Lakes",
    "Kendall",
    "Kenner",
    "Kennewick",
    "Kenosha",
    "Kent",
    "Kentwood",
    "Kettering",
    "Killeen",
    "Kingsport",
    "Kirkland",
    "Kissimmee",
    "Knoxville",
    "Lancaster",
    "Lansing",
    "Laredo",
    "Largo",
    "Las Cruces",
    "Las Vegas",
    "Lauderhill",
    "Lawrence",
    "Lawton",
    "Layton",
    "League City",
    "Leesburg",
    "Lehi",
    "Lehigh Acres",
    "Lenexa",
    "Levittown",
    "Lewisville",
    "Lexington-Fayette",
    "Lincoln",
    "Manteca",
    "Maple Grove",
    "Margate",
    "Maricopa",
    "Marietta",
    "Marysville",
    "Mayaguez",
    "McAllen",
    "McKinney",
    "McLean",
    "Medford",
    "Melbourne",
    "Memphis",
    "Menifee",
    "Mentor",
    "Merced",
    "Meriden",
    "Meridian",
    "Mesa",
    "Mesquite",
    "Metairie",
    "Methuen Town",
    "Miami",
    "Miami Beach",
    "Mobile",
    "Modesto",
    "Moline",
    "Monroe",
    "Montebello",
    "Monterey Park",
    "Montgomery",
    "Moore",
    "Moreno Valley",
    "Morgan Hill",
    "Mount Pleasant",
    "Mount Prospect",
    "Mount Vernon",
    "Mountain View",
    "Muncie",
    "Murfreesboro",
    "Murray",
    "Murrieta",
    "Nampa",
    "Napa",
    "Naperville",
    "Nashua",
    "Nashville-Davidson",
    "New Haven",
    "New Orleans",
    "New Rochelle",
    "New York",
    "Newark",
    "Newport Beach",
    "Newport News",
    "Newton",
    "Niagara Falls",
    "Noblesville",
    "Norfolk",
    "Normal",
    "Norwalk",
    "Novato",
    "Novi",
    "Oak Lawn",
    "Oak Park",
    "Oakland",
    "Oakland Park",
    "Ocala",
    "Oceanside",
    "Odessa",
    "Ogden",
    "Oklahoma City",
    "Olathe",
    "Olympia",
    "Omaha",
    "Ontario",
    "Orange",
    "Orem",
    "Orland Park",
    "Palo Alto",
    "Paradise",
    "Paramount",
    "Parker",
    "Parma",
    "Pasadena",
    "Pasco",
    "Passaic",
    "Paterson",
    "Pawtucket",
    "Peabody",
    "Pearl City",
    "Pearland",
    "Pembroke Pines",
    "Pensacola",
    "Peoria",
    "Perris",
    "Perth Amboy",
    "Petaluma",
    "Pflugerville",
    "Pharr",
    "Plantation",
    "Pleasanton",
    "Plymouth",
    "Pocatello",
    "Poinciana",
    "Pomona",
    "Pompano Beach",
    "Ponce",
    "Pontiac",
    "Port Arthur",
    "Port Charlotte",
    "Port Orange",
    "Port St. Lucie",
    "Portage",
    "Porterville",
    "Portland",
    "Portsmouth",
    "Potomac",
    "Poway",
    "Providence",
    "Provo",
    "Pueblo",
    "Quincy",
    "Racine",
    "Reston",
    "Revere",
    "Rialto",
    "Richardson",
    "Richland",
    "Richmond",
    "Rio Rancho",
    "Riverside",
    "Riverton",
    "Riverview",
    "Roanoke",
    "Rochester",
    "Rochester Hills",
    "Rock Hill",
    "Rockford",
    "Rocklin",
    "Rockville",
    "Rockwall",
    "Rocky Mount"
    // clang-format on,
    "Rogers",
    "Rohnert Park",
    "Rosemead",
    "Roseville",
    "Roswell",
    "Round Rock",
    "Rowland Heights",
    "Rowlett",
    "Royal Oak",
    "Sacramento",
    "Saginaw",
    "Salem",
    "Salina",
    "San Tan Valley",
    "Sandy",
    "Sandy Springs",
    "Sanford",
    "Santa Ana",
    "Santa Barbara",
    "Santa Clara",
    "Santa Clarita",
    "Santa Cruz",
    "Santa Fe",
    "Santa Maria",
    "Santa Monica",
    "Santa Rosa",
    "Santee",
    "Sarasota",
    "Savannah",
    "Sayreville",
    "Schaumburg",
    "Schenectady",
    "Scottsdale",
    "South Valley",
    "South Whittier",
    "Southaven",
    "Southfield",
    "Sparks",
    "Spokane",
    "Spokane Valley",
    "Spring",
    "Spring Hill",
    "Spring Valley",
    "Springdale",
    "Tacoma",
    "Tallahassee",
    "Tamarac",
    "Tamiami",
    "Tampa",
    "Taunton",
    "Taylor",
    "Taylorsville",
    "Temecula",
    "Tempe",
    "Temple",
    "Terre Haute",
    "Texas City",
    "The Hammocks",
    "The Villages",
    "The Woodlands",
    "Thornton",
    "Thousand Oaks",
    "Tigard",
    "Tinley Park",
    "Titusville",
    "Toledo",
    "Toms River",
    "Tonawanda",
    "Topeka",
    "Torrance",
    "Towson",
    "Tracy",
    "Trenton",
    "Troy",
    "Trujillo Alto",
    "Tuckahoe",
    "Tucson",
    "Tulare",
    "Tulsa",
    "Turlock",
    "Tuscaloosa",
    "Waldorf",
    "Walnut Creek",
    "Waltham",
    "Warner Robins",
    "Warren",
    "Warwick",
    "Washington",
    "Waterbury",
    "Waterloo",
    "Watsonville",
    "Waukegan",
    "Waukesha",
    "Wauwatosa",
    "Wellington",
    "Wesley Chapel",
    "West Allis",
    "West Babylon",
    "West Covina",
    "West Des Moines",
    "West Hartford",
    "Wheaton",
    "White Plains",
    "Whittier",
    "Wichita",
    "Wichita Falls",
    "Wilmington",
    "Wilson",
    "Winston-Salem",
    "Woodbury",
    "Woodland",
    "Worcester",
    "Wylie",
    "Wyoming",
    "Yakima",
    "Yonkers",
    "Yorba Linda",
    "York",
    "Youngstown",
    "Yuba City",
});

const auto usaStates = std::to_array<std::string_view>(
    {"Alabama",       "Alaska",     "Arizona",      "Arkansas",     "California",     "Colorado",      "Connecticut",
     "Delaware",      "Florida",    "Georgia",      "Hawaii",       "Idaho",          "Illinois",      "Indiana",
     "Iowa",          "Kansas",     "Kentucky",     "Louisiana",    "Maine",          "Maryland",      "Massachusetts",
     "Michigan",      "Minnesota",  "Mississippi",  "Missouri",     "Montana",        "Nebraska",      "Nevada",
     "New Hampshire", "New Jersey", "New Mexico",   "New York",     "North Carolina", "North Dakota",  "Ohio",
     "Oklahoma",      "Oregon",     "Pennsylvania", "Rhode Island", "South Carolina", "South Dakota",  "Tennessee",
     "Texas",         "Utah",       "Vermont",      "Virginia",     "Washington",     "West Virginia", "Wisconsin",
     "Wyoming"});

const auto usaStreetSuffixes = std::to_array<std::string_view>(
    {"Alley",      "Avenue",     "Branch",    "Bridge",     "Brook",    "Brooks",   "Burg",     "Burgs",
     "Bypass",     "Camp",       "Canyon",    "Cape",       "Causeway", "Center",   "Centers",  "Circle",
     "Circles",    "Cliff",      "Cliffs",    "Club",       "Common",   "Corner",   "Corners",  "Course",
     "Court",      "Courts",     "Cove",      "Coves",      "Creek",    "Crescent", "Crest",    "Crossing",
     "Crossroad",  "Curve",      "Dale",      "Dam",        "Divide",   "Drive",    "Drives",   "Estate",
     "Estates",    "Expressway", "Extension", "Extensions", "Fall",     "Falls",    "Ferry",    "Field",
     "Fields",     "Flat",       "Flats",     "Ford",       "Fords",    "Forest",   "Forge",    "Forges",
     "Fork",       "Forks",      "Fort",      "Freeway",    "Garden",   "Gardens",  "Gateway",  "Glen",
     "Glens",      "Green",      "Greens",    "Grove",      "Groves",   "Harbor",   "Harbors",  "Haven",
     "Heights",    "Highway",    "Hill",      "Hills",      "Hollow",   "Inlet",    "Island",   "Islands",
     "Isle",       "Junction",   "Junctions", "Key",        "Keys",     "Knoll",    "Knolls",   "Lake",
     "Lakes",      "Land",       "Landing",   "Lane",       "Light",    "Lights",   "Loaf",     "Lock",
     "Locks",      "Lodge",      "Loop",      "Mall",       "Manor",    "Manors",   "Meadow",   "Meadows",
     "Mews",       "Mill",       "Mills",     "Mission",    "Motorway", "Mount",    "Mountain", "Mountains",
     "Neck",       "Orchard",    "Oval",      "Overpass",   "Park",     "Parks",    "Parkway",  "Parkways",
     "Pass",       "Passage",    "Path",      "Pike",       "Pine",     "Pines",    "Place",    "Plain",
     "Plains",     "Plaza",      "Point",     "Points",     "Port",     "Ports",    "Prairie",  "Radial",
     "Ramp",       "Ranch",      "Rapid",     "Rapids",     "Rest",     "Ridge",    "Ridges",   "River",
     "Road",       "Roads",      "Route",     "Row",        "Rue",      "Run",      "Shoal",    "Shoals",
     "Shore",      "Shores",     "Skyway",    "Spring",     "Springs",  "Spur",     "Spurs",    "Square",
     "Squares",    "Station",    "Stravenue", "Stream",     "Street",   "Streets",  "Summit",   "Terrace",
     "Throughway", "Trace",      "Track",     "Trafficway", "Trail",    "Tunnel",   "Turnpike", "Underpass",
     "Union",      "Unions",     "Valley",    "Valleys",    "Via",      "Viaduct",  "View",     "Views",
     "Village",    "Villages",   "Ville",     "Vista",      "Walk",     "Walks",    "Wall",     "Way",
     "Ways",       "Well",       "Wells"});

const std::string_view usaZipCodeFormat{"#####"};

const auto usaAddressFormats = std::to_array<std::string_view>({
    "{buildingNumber} {street}",
});

const auto usaSecondaryAddressFormats = std::to_array<std::string_view>({
    "Apt. ###",
    "Suite ###",
});

const auto usaBuildingNumberFormats = std::to_array<std::string_view>({
    "###",
    "####",
    "#####",
});

const auto usaStreetFormats =
    std::to_array<std::string_view>({
    "{firstName} {streetSuffix}",
    "{lastName} {streetSuffix}",
});

const auto usaCityFormats = std::to_array<std::string_view>({
    "{cityName}",
});

const CountryAddressesInfo usaAddresses{
    usaZipCodeFormat,
    (usaAddressFormats),
    (usaSecondaryAddressFormats),
    (usaStreetFormats),
    {},
    {},
    (usaStreetSuffixes),
    (usaBuildingNumberFormats),
    (usaCityFormats),
    {},
    (usaCities),
    {},
    usaStates,
};

}
