#pragma once

#include <array>
#include <string_view>

namespace faker::medicine
{
const auto medicalConditions = std::to_array<std::string_view>({
    "AIDS",
    "Anorexia Nervosa",
    "Arthritis Juvenile Rheumatoid",
    "Asthma Moderate or Severe Persistent",
    "Bronchiolitis",
    "Bulimia",
    "Cancer",
    "Cardiorespiratory Diseases",
    "Celiac Disease",
    "Cerebral Palsy",
    "Cleft Lip or Palate",
    "Crohn’s Disease",
    "Cystic Fibrosis",
    "Depression",
    "Developmental Sensory or Motor Disabilities",
    "Diabetes Mellitus",
    "Down syndrome",
    "Elevated Blood Lead Level",
    "Epilepsy",
    "Failure to Thrive",
    "Fetal Alcohol Syndrome",
    "Gall Bladder Disease",
    "Gastro Esophageal Reflux Disease",
    "Gastrointestinal Abnormalities",
    "HIV Infection",
    "Heart Disease",
    "Hepatitis",
    "Hypertension Chronic/Prehypertension",
    "Hypertension Pregnancy-induced",
    "Hyperthyroidism",
    "Hypoglycemia",
    "Hypothyroidism",
    "Inborn Errors of Metabolism",
    "Inflammatory Bowel Disease (IBD)",
    "Lactose Intolerance",
    "Large for Gestational Age",
    "Liver Disease",
    "Lupus Erythematosus",
    "Major Surgery Burns or Trauma",
    "Malabsorption Syndromes",
    "Meningitis",
    "Multiple Sclerosis",
    "Muscular Dystrophy",
    "Neonatal Abstinence Syndrome",
    "Neural Tube Defect (Spina Bifida)",
    "Nutrient Deficiency Diseases",
    "Pancreatitis",
    "Parasitic Infection",
    "Parkinson’s disease",
    "Pneumonia",
    "Prediabetes",
    "Renal Disease",
    "Sickle Cell Anemia",
    "Small Bowel Enterocolitis and syndrome",
    "Small for Gestational Age (SGA)",
    "Thalassemia Major",
    "Tuberculosis",
    "Ulcerative Colitis",
    "Ulcers Stomach or Intestinal",
});

const auto medicalTests = std::to_array<std::string_view>({
    "HEENT examination",
    "abdominal palpation",
    "amniocentesis",
    "ballistocardiogram",
    "capsule endoscopy",
    "cardiac auscultation",
    "coloscopy",
    "colposcopy",
    "coronary catheterization",
    "cystoscopy",
    "digital rectal examination",
    "echocardiography",
    "electrocardiogram",
    "electroencephalogram",
    "electromyography",
    "endoscopic retrograde cholangiopancreatography",
    "esophageal motility study",
    "esophageal pH monitoring",
    "esophagogastroduodenoscopy",
    "hearing test",
    "hysteroscopy",
    "laparoscopy",
    "laryngoscopy",
    "liver biopsy",
    "mammography",
    "neurological examination",
    "neuropsychological tests",
    "polysomnography",
    "psychiatric assessment",
    "pulmonary auscultation",
    "pulmonary plethysmography",
    "skin biopsy",
    "thoracentesis",
    "urodynamic testing",
    "vaginal examination",
});

const auto specialties = std::to_array<std::string_view>({
    "Accident and emergency medicine",
    "Allergist",
    "Anaesthetics",
    "Cardiology",
    "Child psychiatry",
    "Clinical biology",
    "Clinical chemistry",
    "Clinical microbiology",
    "Clinical neurophysiology",
    "Craniofacial surgery",
    "Dermatology",
    "Endocrinology",
    "Family and General Medicine",
    "Gastroenterologic surgery",
    "Gastroenterology",
    "General Practice",
    "General surgery",
    "Geriatrics",
    "Hematology",
    "Immunology",
    "Infectious diseases",
    "Internal medicine",
    "Laboratory medicine",
    "Nephrology",
    "Neurology",
    "Neuropsychiatry",
    "Neurosurgery",
    "Nuclear medicine",
    "Obstetrics and gynaecology",
    "Occupational medicine",
    "Oncology",
    "Ophthalmology",
    "Oral and maxillofacial surgery",
    "Orthopaedics",
    "Otorhinolaryngology",
    "Paediatric surgery",
    "Paediatrics",
    "Pathology",
    "Pharmacology",
    "Physical medicine and rehabilitation",
    "Plastic surgery",
    "Podiatric surgery",
    "Preventive medicine",
    "Psychiatry",
    "Public health",
    "Radiation Oncology",
    "Radiology",
    "Respiratory medicine",
    "Rheumatology",
    "Stomatology",
    "Thoracic surgery",
    "Tropical medicine",
    "Urology",
    "Vascular surgery",
    "Venereology",
});
}
