#pragma once

#include <array>
#include <string_view>

namespace faker::plant
{
const auto trees = std::to_array<std::string_view>({
    "Acacia",   "Almond",       "Apple",      "Ash",          "Avocado",        "Bamboo",  "Banana",
    "Baobab",   "Beech",        "Birch",      "Black Walnut", "Catalpa",        "Cedar",   "Cherry Blossom",
    "Chestnut", "Chestnut Oak", "Cottonwood", "Crape Myrtle", "Cypress",        "Dogwood", "Eucalyptus",
    "Fir",      "Ginkgo",       "Hemlock",    "Hickory",      "Japanese Maple", "Juniper", "Kapok",
    "Lemon",    "Linden",       "Mango",      "Maple",        "Mimosa",         "Oak",     "Orange",
    "Palm",     "Papaya",       "Peach",      "Pine",         "Pineapple",      "Poplar",  "Redwood",
    "Spruce",   "Sycamore",     "Tamarind",   "Walnut",       "Willow",
});

const auto flowers = std::to_array<std::string_view>({
    "Adenium Obesum",
    "African Daisy",
    "Allamanda Cathartica",
    "Amaranthus",
    "Angelica",
    "Anthurium",
    "Aster",
    "Baby’s breath",
    "Begonia",
    "Bird-of-paradise",
    "Black-eyed Susans",
    "Broom",
    "Calendula",
    "Canterbury Bells",
    "Caraway Herb",
    "Carnation",
    "Cassia Fistula",
    "Celosia",
    "Cherry Blossom",
    "Chrysanthemum",
    "Columbine",
    "Cornflower",
    "Cosmos",
    "Daffodils",
    "Dahlia",
    "Daisy",
    "Dandelion",
    "Datura",
    "Dropmore Flower",
    "Dwarf Morning Glory",
    "Elderberry",
    "Elephant Ear Flower",
    "Evening Primrose",
    "Fairy Candles",
    "Fairy Iris",
    "False Salvia",
    "False Spirea",
    "False indigo",
    "Feather Flower",
    "Feverfew",
    "Fiesta Daisy",
    "Forget-me-not",
    "Foxglove",
    "Gardenia",
    "Gentian Violet",
    "Geranium",
    "Gerbera",
    "Gladiolus",
    "Goldenrod",
    "Graceland",
    "Hedera Helix",
    "Hibiscus",
    "Hollyhocks",
    "Impatiens",
    "Jasmine",
    "Kale",
    "Lamium",
    "Lantana",
    "Larkspur",
    "Lavender",
    "Lilac",
    "Lily",
    "Lotus",
    "Mallow",
    "Marigold",
    "Mogra",
    "Moonflower",
    "Orchid",
    "Palash",
    "Pansy",
    "Peony",
    "Peruvian Daylily",
    "Petunia",
    "Phoenix Flower",
    "Pipevine",
    "Plumeria",
    "Poppy",
    "Primrose",
    "Prince’s Feather",
    "Purple Giant Hyssop",
    "Queen Anne’s Lace",
    "Rose",
    "Snapdragon",
    "Speedwell",
    "Sunflower",
    "Sweet William",
    "Tulip",
    "Vinca",
    "Viola",
    "Water Lily",
    "White Baneberry",
    "Zinnia",
});

const auto shrubs = std::to_array<std::string_view>({
    "Aralia",        "Arctostaphylos", "Aronia",         "Artemisia",     "Aucuba",       "Berberis",
    "Bougainvillea", "Brugmansia",     "Buddleja",       "Buxus",         "Calia",        "Callicarpa",
    "Callistemon",   "Calluna",        "Calycanthus",    "Camellia",      "Caragana",     "Carpenteria",
    "Caryopteris",   "Cassiope",       "Ceanothus",      "Celastrus",     "Ceratostigma", "Cercocarpus",
    "Chaenomeles",   "Chamaebatiaria", "Chamaedaphne",   "Chimonanthus",  "Chionanthus",  "Choisya",
    "Cistus",        "Clerodendrum",   "Clethra",        "Clianthus",     "Colletia",     "Colutea",
    "Comptonia",     "Cornus",         "Corylopsis",     "Cotinus",       "Cotoneaster",  "Cowania",
    "Crataegus",     "Crinodendron",   "Cytisus",        "Daboecia",      "Danae",        "Daphne",
    "Dasiphora",     "Decaisnea",      "Dendromecon",    "Desfontainea",  "Deutzia",      "Diervilla",
    "Dipelta",       "Dirca",          "Dracaena",       "Drimys",        "Dryas",        "Elaeagnus",
    "Embothrium",    "Empetrum",       "Enkianthus",     "Ephedra",       "Epigaea",      "Erica",
    "Eriobotrya",    "Escallonia",     "Eucryphia",      "Euonymus",      "Exochorda",    "Fabiana",
    "Fallugia",      "Fatsia",         "Forsythia",      "Fothergilla",   "Franklinia",   "Fremontodendron",
    "Fuchsia",       "Garrya",         "Gaultheria",     "Gaylussacia",   "Genista",      "Gordonia",
    "Grevillea",     "Griselinia",     "Hakea",          "Halesia",       "Halimium",     "Hamamelis",
    "Hebe",          "Hedera",         "Helianthemum",   "Hibiscus",      "Hippophae",    "Hoheria",
    "Holodiscus",    "Hudsonia",       "Hydrangea",      "Hypericum",     "Hyssopus",     "Ilex",
    "Illicium",      "Indigofera",     "Itea",           "Jamesia",       "Jasminum",     "Juniperus",
    "Kalmia",        "Kerria",         "Kolkwitzia",     "Lagerstroemia", "Lantana",      "Lapageria",
    "Lavandula",     "Lavatera",       "Ledum",          "Leitneria",     "Leptospermum", "Lespedeza",
    "Leucothoe",     "Leycesteria",    "Ligustrum",      "Lindera",       "Linnaea",      "Lonicera",
    "Lupinus",       "Lycium",         "Magnolia",       "Mahonia",       "Malpighia",    "Menispermum",
    "Menziesia",     "Mespilus",       "Microcachrys",   "Myrica",        "Myricaria",    "Myrtus",
    "Neillia",       "Nerium",         "Olearia",        "Osmanthus",     "Pachysandra",  "Paeonia",
    "Perovskia",     "Philadelphus",   "Phlomis",        "Photinia",      "Physocarpus",  "Pieris",
    "Pistacia",      "Pittosporum",    "Plumbago",       "Polygala",      "Poncirus",     "Prunus",
    "Purshia",       "Pyracantha",     "Quassia",        "Quercus",       "Quillaja",     "Quintinia",
    "Rhamnus",       "Rhododendron",   "Rhus",           "Ribes",         "Romneya",      "Rosa",
    "Rosmarinus",    "Rubus",          "Ruta",           "Sabia",         "Salix",        "Salvia",
    "Sambucus",      "Santolina",      "Sapindus",       "Senecio",       "Simmondsia",   "Skimmia",
    "Smilax",        "Sophora",        "Sorbaria",       "Spartium",      "Spiraea",      "Staphylea",
    "Stephanandra",  "Styrax",         "Symphoricarpos", "Syringa",       "Tamarix",      "Taxus",
    "Telopea",       "Thymelaea",      "Thymus",         "Trochodendron", "Ulex",         "Ungnadia",
    "Vaccinium",     "Verbena",        "Viburnum",       "Vinca",         "Viscum",       "Weigela",
    "Xanthoceras",   "Xanthorhiza",    "Xylosma",        "Yucca",         "Zanthoxylum",  "Zauschneria",
    "Zenobia",       "Ziziphus",
});

const auto grasses = std::to_array<std::string_view>({
    "Bahiagrass",
    "Bahiagrass",
    "Bamboo",
    "Bamboo",
    "Barnyard",
    "Basin Wildrye",
    "Beardless Wheat",
    "Big Bluestem",
    "Blue Grama",
    "Bluebunch Wheat",
    "Bluejoint Reed",
    "Bottlebrush",
    "Bottlebrush Love",
    "Browntop Panic",
    "Bush Muhly",
    "Canada Wild Rye",
    "Crab",
    "Creeping Wildrye",
    "Dallis",
    "Deer",
    "Ditch Witchgrass",
    "Eastern Gamagrass",
    "Fall Witchgrass",
    "Flowering Reed",
    "Fountain",
    "Foxtail Millet",
    "Giant Reed",
    "Green Foxtail",
    "Guinea",
    "Guinea",
    "Hair",
    "Hall's Panic",
    "Indiangrass",
    "Intermediate Wheat",
    "Johnsongrass",
    "Kleingrass",
    "Little Bluestem",
    "Maize (Corn)",
    "Maize (Corn)",
    "Marsh Foxtail",
    "Meadow Foxtail",
    "Miscanthus",
    "Miscanthus",
    "Muhly",
    "Muhly",
    "Napier",
    "Natal",
    "Northern Reed",
    "Oat",
    "Oat",
    "Pampas",
    "Pangola",
    "Pangola",
    "Para",
    "Para",
    "Pink Muhly",
    "Plains Love",
    "Purple Love",
    "Purpletop",
    "Ravenna",
    "Redtop",
    "Redtop Love",
    "Reed Canary",
    "Russian Wildrye",
    "Rye",
    "Sand Dropseed",
    "Sand Love",
    "Sandreed",
    "Scribner Cane",
    "Scribner Panic",
    "Siberian Wheat",
    "Side-Oats Grama",
    "Sorghum",
    "Sorghum",
    "Streambank Wheat",
    "Sudan",
    "Sudan",
    "Sugarcane",
    "Sugarcane",
    "Switchgrass",
    "Switchgrass",
    "Switchgrass",
    "Thickspike Wheat",
    "Timothy",
    "Torpedo",
    "Vasey",
    "Vasey",
    "Velvet",
    "Vine Mesquite",
    "Virginia Wild Rye",
    "Weeping Love",
    "Western Wheat",
    "Wheat",
    "Wheat",
    "Witchgrass",
    "Yellow Foxtail",
    "Yellow Indiangrass",
});

const auto ferns = std::to_array<std::string_view>({
    "Adder's-tongue Fern",
    "Angiopteris evecta",
    "Beech Fern",
    "Bird's-nest Fern",
    "Bladder Fern",
    "Blechnum Fern",
    "Boston Fern",
    "Bracken Fern",
    "Brake Family",
    "Brittle Fern",
    "Button Fern",
    "Chain Fern",
    "Christmas Fern",
    "Cinnamon Fern",
    "Cladoxylopsida",
    "Cliff Brake",
    "Cliff Fern",
    "Deer Fern",
    "Diamond Fern",
    "Diplazium esculentum",
    "Eagle Fern",
    "Equisetidae",
    "Filmy Fern",
    "Fox Fern",
    "Giant Salvinia",
    "Grape Fern",
    "Ground Fern",
    "Hairy Spleenwort",
    "Hart's-tongue Fern",
    "Hay-Scented Fern",
    "Holly Fern",
    "Horsetails",
    "Japanese Painted Fern",
    "Lace Fern",
    "Lady Fern",
    "Leather Fern",
    "Leatherleaf Fern",
    "Leathery Polypody",
    "Leptochilus pteropus",
    "Leptosporangiate Ferns",
    "Licorice Fern",
    "Lip Fern",
    "Maidenhair Fern",
    "Maidenhair Spleenwort",
    "Maidenhair Tree Fern",
    "Male Fern",
    "Marattiaceae",
    "Marsh Fern",
    "Moonwort",
    "Mosquito Fern",
    "Oak Fern",
    "Ophioglossales",
    "Ostrich Fern",
    "Parsley Fern",
    "Polypodiophyta",
    "Polypodiopsida",
    "Polypody Fern",
    "Psilotum",
    "Pteris vittata",
    "Rattlesnake Fern",
    "Resurrection Fern",
    "Rock Fern",
    "Royal Fern",
    "Running Fern",
    "Rusty Sword Fern",
    "Sensitive Fern",
    "Shield Fern",
    "Shuttle Fern",
    "Silver Fern",
    "Silver Sword Fern",
    "Sphaeropteris cooperi",
    "Spleenwort",
    "Stag Horn Fern",
    "Staghorn Fern",
    "Sword Brake",
    "Sword Fern",
    "Tassel Fern",
    "Tongue Fern",
    "Tree Ferns",
    "Walking Fern",
    "Water Fern",
    "Wood Fern",
    "Wooly Fern",
    "Zygopteridales",
});

const auto succulents = std::to_array<std::string_view>({
    "Aeonium",
    "Aloe vera",
    "Ammocharis",
    "Anredera",
    "Asparagus",
    "Asphodelaceae",
    "Avonia",
    "Basella",
    "Begonia",
    "Boophone",
    "Brighamia",
    "Brunsvigia",
    "Burro's-tail",
    "Cactus",
    "Crassula (Jade Plant)",
    "Crinum",
    "Crown-of-thorns",
    "Cryptolepis",
    "Cussonia",
    "Cyphostemma",
    "Cyrtanthus",
    "Dioscorea",
    "Doryanthes",
    "Dracaena trifasciata",
    "Dudleya",
    "Echeveria agavoides",
    "Echeveria blue echeveria",
    "Echeveria derenbergii",
    "Echeveria elegans",
    "Echeveria gibbiflora",
    "Echeveria harmsii",
    "Echeveria lilacina",
    "Echeveria nodulosa",
    "Echeveria peacockii",
    "Echeveria pulidonis",
    "Echeveria purpusorum",
    "Echeveria setosa",
    "Echeveria shaviana",
    "Echeveria subrigida",
    "Empodium",
    "Espostoa",
    "Fasciated haworthia",
    "Faucaria",
    "Fenestraria",
    "Fouquieria",
    "Gasteria",
    "Gasteria batesiana",
    "Gasteria carinata",
    "Gasteria vlokii",
    "Gethyllis",
    "Graptopetalum (Ghost Plant)",
    "Graptopetalum amethystinum",
    "Graptopetalum paraguayensis",
    "Grass Trees",
    "Greenovia",
    "Habranthus",
    "Haemanthus",
    "Haworth's aeonium",
    "Haworthia",
    "Haworthia attenuata",
    "Haworthia cooperi",
    "Haworthia cymbiformis",
    "Haworthia fasciata",
    "Haworthia graminifolia",
    "Haworthia obtusa",
    "Haworthia reinwardtii",
    "Haworthia truncata",
    "Hessea",
    "Huernia",
    "Hylocereus",
    "Hypoxis",
    "Jade Plant",
    "Jovibarba heuffelii",
    "Kalanchoe (Flaming Katy Kalanchoe Blossoms)",
    "Kleinia",
    "Lampranthus",
    "Ledebouria",
    "Lentibulariaceae",
    "Lithops",
    "Mammillaria",
    "Matelea",
    "Medinilla",
    "Moth Orchids",
    "Muiraquilocactus",
    "Nerine",
    "Nolana",
    "Notocactus",
    "Obregonia",
    "Opuntia",
    "Orbea",
    "Othonna (Little Pickles)",
    "Pachycereus",
    "Pancratium",
    "Parodia",
    "Pelecyphora",
    "Pereskiopsis",
    "Pleiospilos",
    "Pokeweeds",
    "Portulacaria afra",
    "Radiator Plants",
    "Rauhia",
    "Rebutia",
    "Rhodocactus",
    "Roseocactus",
    "Sarcostemma",
    "Scadoxus",
    "Schlumbergera (Christmas Cactus)",
    "Sedum (Stonecrop)",
    "Sempervivum (Hen and Chicks)",
    "Senecio",
    "Senecio haworthii",
    "Senecio mandraliscae",
    "Senecio rowleyanus (String of Pearls)",
    "Sinocrassula",
    "Sophora",
    "Stapelia",
    "Stenocactus",
    "Strombocactus",
    "Strumaria",
    "Thelocactus",
    "Titanopsis",
    "Touch-me-not",
    "Trichocereus",
    "Turbinicarpus",
    "Tylecodon",
    "Uebelmannia",
    "Wilcoxia",
    "Wood Sorrels",
    "Xerosicyos",
    "Zanzibar Gem",
    "Zephyrlily",
});

const auto vines = std::to_array<std::string_view>({
    "Akebia (Five-leaf Akebia)",
    "Asparagus asparagoides (Sprenger's Asparagus)",
    "Black-eyed Susan Vine (Thunbergia alata)",
    "Bougainvillea",
    "Carolina Jessamine",
    "Chocolate Vine (Akebia quinata)",
    "Clematis",
    "Climbing Hydrangea",
    "Climbing Rose",
    "Creeping Fig",
    "Firecracker Vine (Mina lobata)",
    "Honeysuckle",
    "Hoya carnosa (Wax Plant)",
    "Hyacinth Bean",
    "Jasminum nitidum (Winter Jasmine)",
    "Moonflower",
    "Morning Glory",
    "Passionflower",
    "Rocktrumpet",
    "Star Jasmine",
    "Swiss Cheese Plant",
    "Trumpet Vine",
    "Virginia Creeper",
    "Wisteria",
});

const auto plantTypes = std::to_array<std::string_view>({
    "fern",
    "flower",
    "grass",
    "shrub",
    "succulent",
    "tree",
    "vine",
});

}
